import { createRequire } from "module";
import fs from "node:fs/promises";
import path from "node:path";
import { fileURLToPath } from "node:url";
import { cwd } from "node:process";

//#region rolldown:runtime
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function() {
	return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __copyProps = (to, from, except, desc) => {
	if (from && typeof from === "object" || typeof from === "function") for (var keys = __getOwnPropNames(from), i = 0, n = keys.length, key; i < n; i++) {
		key = keys[i];
		if (!__hasOwnProp.call(to, key) && key !== except) __defProp(to, key, {
			get: ((k) => from[k]).bind(null, key),
			enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable
		});
	}
	return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", {
	value: mod,
	enumerable: true
}) : target, mod));
var __require = /* @__PURE__ */ createRequire(import.meta.url);

//#endregion
//#region node_modules/kleur/index.js
var require_kleur = __commonJS({ "node_modules/kleur/index.js"(exports, module) {
	const { FORCE_COLOR, NODE_DISABLE_COLORS, TERM } = process.env;
	const $$2 = {
		enabled: !NODE_DISABLE_COLORS && TERM !== "dumb" && FORCE_COLOR !== "0",
		reset: init(0, 0),
		bold: init(1, 22),
		dim: init(2, 22),
		italic: init(3, 23),
		underline: init(4, 24),
		inverse: init(7, 27),
		hidden: init(8, 28),
		strikethrough: init(9, 29),
		black: init(30, 39),
		red: init(31, 39),
		green: init(32, 39),
		yellow: init(33, 39),
		blue: init(34, 39),
		magenta: init(35, 39),
		cyan: init(36, 39),
		white: init(37, 39),
		gray: init(90, 39),
		grey: init(90, 39),
		bgBlack: init(40, 49),
		bgRed: init(41, 49),
		bgGreen: init(42, 49),
		bgYellow: init(43, 49),
		bgBlue: init(44, 49),
		bgMagenta: init(45, 49),
		bgCyan: init(46, 49),
		bgWhite: init(47, 49)
	};
	function run(arr, str) {
		let i = 0, tmp, beg = "", end = "";
		for (; i < arr.length; i++) {
			tmp = arr[i];
			beg += tmp.open;
			end += tmp.close;
			if (str.includes(tmp.close)) str = str.replace(tmp.rgx, tmp.close + tmp.open);
		}
		return beg + str + end;
	}
	function chain(has, keys) {
		let ctx = {
			has,
			keys
		};
		ctx.reset = $$2.reset.bind(ctx);
		ctx.bold = $$2.bold.bind(ctx);
		ctx.dim = $$2.dim.bind(ctx);
		ctx.italic = $$2.italic.bind(ctx);
		ctx.underline = $$2.underline.bind(ctx);
		ctx.inverse = $$2.inverse.bind(ctx);
		ctx.hidden = $$2.hidden.bind(ctx);
		ctx.strikethrough = $$2.strikethrough.bind(ctx);
		ctx.black = $$2.black.bind(ctx);
		ctx.red = $$2.red.bind(ctx);
		ctx.green = $$2.green.bind(ctx);
		ctx.yellow = $$2.yellow.bind(ctx);
		ctx.blue = $$2.blue.bind(ctx);
		ctx.magenta = $$2.magenta.bind(ctx);
		ctx.cyan = $$2.cyan.bind(ctx);
		ctx.white = $$2.white.bind(ctx);
		ctx.gray = $$2.gray.bind(ctx);
		ctx.grey = $$2.grey.bind(ctx);
		ctx.bgBlack = $$2.bgBlack.bind(ctx);
		ctx.bgRed = $$2.bgRed.bind(ctx);
		ctx.bgGreen = $$2.bgGreen.bind(ctx);
		ctx.bgYellow = $$2.bgYellow.bind(ctx);
		ctx.bgBlue = $$2.bgBlue.bind(ctx);
		ctx.bgMagenta = $$2.bgMagenta.bind(ctx);
		ctx.bgCyan = $$2.bgCyan.bind(ctx);
		ctx.bgWhite = $$2.bgWhite.bind(ctx);
		return ctx;
	}
	function init(open, close) {
		let blk = {
			open: `\x1b[${open}m`,
			close: `\x1b[${close}m`,
			rgx: new RegExp(`\\x1b\\[${close}m`, "g")
		};
		return function(txt) {
			if (this !== void 0 && this.has !== void 0) {
				this.has.includes(open) || (this.has.push(open), this.keys.push(blk));
				return txt === void 0 ? this : $$2.enabled ? run(this.keys, txt + "") : txt + "";
			}
			return txt === void 0 ? chain([open], [blk]) : $$2.enabled ? run([blk], txt + "") : txt + "";
		};
	}
	module.exports = $$2;
} });

//#endregion
//#region node_modules/prompts/dist/util/action.js
var require_action$1 = __commonJS({ "node_modules/prompts/dist/util/action.js"(exports, module) {
	module.exports = (key, isSelect) => {
		if (key.meta && key.name !== "escape") return;
		if (key.ctrl) {
			if (key.name === "a") return "first";
			if (key.name === "c") return "abort";
			if (key.name === "d") return "abort";
			if (key.name === "e") return "last";
			if (key.name === "g") return "reset";
		}
		if (isSelect) {
			if (key.name === "j") return "down";
			if (key.name === "k") return "up";
		}
		if (key.name === "return") return "submit";
		if (key.name === "enter") return "submit";
		if (key.name === "backspace") return "delete";
		if (key.name === "delete") return "deleteForward";
		if (key.name === "abort") return "abort";
		if (key.name === "escape") return "exit";
		if (key.name === "tab") return "next";
		if (key.name === "pagedown") return "nextPage";
		if (key.name === "pageup") return "prevPage";
		if (key.name === "home") return "home";
		if (key.name === "end") return "end";
		if (key.name === "up") return "up";
		if (key.name === "down") return "down";
		if (key.name === "right") return "right";
		if (key.name === "left") return "left";
		return false;
	};
} });

//#endregion
//#region node_modules/prompts/dist/util/strip.js
var require_strip$1 = __commonJS({ "node_modules/prompts/dist/util/strip.js"(exports, module) {
	module.exports = (str) => {
		const pattern = ["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)", "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PRZcf-ntqry=><~]))"].join("|");
		const RGX = new RegExp(pattern, "g");
		return typeof str === "string" ? str.replace(RGX, "") : str;
	};
} });

//#endregion
//#region node_modules/sisteransi/src/index.js
var require_src = __commonJS({ "node_modules/sisteransi/src/index.js"(exports, module) {
	const ESC = "\x1B";
	const CSI = `${ESC}[`;
	const beep$2 = "\x07";
	const cursor$22 = {
		to(x, y) {
			if (!y) return `${CSI}${x + 1}G`;
			return `${CSI}${y + 1};${x + 1}H`;
		},
		move(x, y) {
			let ret = "";
			if (x < 0) ret += `${CSI}${-x}D`;
			else if (x > 0) ret += `${CSI}${x}C`;
			if (y < 0) ret += `${CSI}${-y}A`;
			else if (y > 0) ret += `${CSI}${y}B`;
			return ret;
		},
		up: (count = 1) => `${CSI}${count}A`,
		down: (count = 1) => `${CSI}${count}B`,
		forward: (count = 1) => `${CSI}${count}C`,
		backward: (count = 1) => `${CSI}${count}D`,
		nextLine: (count = 1) => `${CSI}E`.repeat(count),
		prevLine: (count = 1) => `${CSI}F`.repeat(count),
		left: `${CSI}G`,
		hide: `${CSI}?25l`,
		show: `${CSI}?25h`,
		save: `${ESC}7`,
		restore: `${ESC}8`
	};
	const scroll = {
		up: (count = 1) => `${CSI}S`.repeat(count),
		down: (count = 1) => `${CSI}T`.repeat(count)
	};
	const erase$14 = {
		screen: `${CSI}2J`,
		up: (count = 1) => `${CSI}1J`.repeat(count),
		down: (count = 1) => `${CSI}J`.repeat(count),
		line: `${CSI}2K`,
		lineEnd: `${CSI}K`,
		lineStart: `${CSI}1K`,
		lines(count) {
			let clear$18 = "";
			for (let i = 0; i < count; i++) clear$18 += this.line + (i < count - 1 ? cursor$22.up() : "");
			if (count) clear$18 += cursor$22.left;
			return clear$18;
		}
	};
	module.exports = {
		cursor: cursor$22,
		scroll,
		erase: erase$14,
		beep: beep$2
	};
} });

//#endregion
//#region node_modules/prompts/dist/util/clear.js
var require_clear$1 = __commonJS({ "node_modules/prompts/dist/util/clear.js"(exports, module) {
	function _createForOfIteratorHelper$1(o, allowArrayLike) {
		var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];
		if (!it) {
			if (Array.isArray(o) || (it = _unsupportedIterableToArray$1(o)) || allowArrayLike && o && typeof o.length === "number") {
				if (it) o = it;
				var i = 0;
				var F = function F$1() {};
				return {
					s: F,
					n: function n() {
						if (i >= o.length) return { done: true };
						return {
							done: false,
							value: o[i++]
						};
					},
					e: function e(_e) {
						throw _e;
					},
					f: F
				};
			}
			throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
		}
		var normalCompletion = true, didErr = false, err;
		return {
			s: function s() {
				it = it.call(o);
			},
			n: function n() {
				var step = it.next();
				normalCompletion = step.done;
				return step;
			},
			e: function e(_e2) {
				didErr = true;
				err = _e2;
			},
			f: function f() {
				try {
					if (!normalCompletion && it.return != null) it.return();
				} finally {
					if (didErr) throw err;
				}
			}
		};
	}
	function _unsupportedIterableToArray$1(o, minLen) {
		if (!o) return;
		if (typeof o === "string") return _arrayLikeToArray$1(o, minLen);
		var n = Object.prototype.toString.call(o).slice(8, -1);
		if (n === "Object" && o.constructor) n = o.constructor.name;
		if (n === "Map" || n === "Set") return Array.from(o);
		if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray$1(o, minLen);
	}
	function _arrayLikeToArray$1(arr, len) {
		if (len == null || len > arr.length) len = arr.length;
		for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];
		return arr2;
	}
	const strip$3 = require_strip$1();
	const _require$10 = require_src(), erase$13 = _require$10.erase, cursor$21 = _require$10.cursor;
	const width$1 = (str) => [...strip$3(str)].length;
	/**
	* @param {string} prompt
	* @param {number} perLine
	*/
	module.exports = function(prompt$2, perLine) {
		if (!perLine) return erase$13.line + cursor$21.to(0);
		let rows = 0;
		const lines$4 = prompt$2.split(/\r?\n/);
		var _iterator = _createForOfIteratorHelper$1(lines$4), _step;
		try {
			for (_iterator.s(); !(_step = _iterator.n()).done;) {
				let line = _step.value;
				rows += 1 + Math.floor(Math.max(width$1(line) - 1, 0) / perLine);
			}
		} catch (err) {
			_iterator.e(err);
		} finally {
			_iterator.f();
		}
		return erase$13.lines(rows);
	};
} });

//#endregion
//#region node_modules/prompts/dist/util/figures.js
var require_figures$1 = __commonJS({ "node_modules/prompts/dist/util/figures.js"(exports, module) {
	const main$1 = {
		arrowUp: "↑",
		arrowDown: "↓",
		arrowLeft: "←",
		arrowRight: "→",
		radioOn: "◉",
		radioOff: "◯",
		tick: "✔",
		cross: "✖",
		ellipsis: "…",
		pointerSmall: "›",
		line: "─",
		pointer: "❯"
	};
	const win$1 = {
		arrowUp: main$1.arrowUp,
		arrowDown: main$1.arrowDown,
		arrowLeft: main$1.arrowLeft,
		arrowRight: main$1.arrowRight,
		radioOn: "(*)",
		radioOff: "( )",
		tick: "√",
		cross: "×",
		ellipsis: "...",
		pointerSmall: "»",
		line: "─",
		pointer: ">"
	};
	const figures$17 = process.platform === "win32" ? win$1 : main$1;
	module.exports = figures$17;
} });

//#endregion
//#region node_modules/prompts/dist/util/style.js
var require_style$1 = __commonJS({ "node_modules/prompts/dist/util/style.js"(exports, module) {
	const c$1 = require_kleur();
	const figures$16 = require_figures$1();
	const styles$1 = Object.freeze({
		password: {
			scale: 1,
			render: (input) => "*".repeat(input.length)
		},
		emoji: {
			scale: 2,
			render: (input) => "😃".repeat(input.length)
		},
		invisible: {
			scale: 0,
			render: (input) => ""
		},
		default: {
			scale: 1,
			render: (input) => `${input}`
		}
	});
	const render$1 = (type) => styles$1[type] || styles$1.default;
	const symbols$1 = Object.freeze({
		aborted: c$1.red(figures$16.cross),
		done: c$1.green(figures$16.tick),
		exited: c$1.yellow(figures$16.cross),
		default: c$1.cyan("?")
	});
	const symbol$1 = (done, aborted, exited) => aborted ? symbols$1.aborted : exited ? symbols$1.exited : done ? symbols$1.done : symbols$1.default;
	const delimiter$1 = (completing) => c$1.gray(completing ? figures$16.ellipsis : figures$16.pointerSmall);
	const item$1 = (expandable, expanded) => c$1.gray(expandable ? expanded ? figures$16.pointerSmall : "+" : figures$16.line);
	module.exports = {
		styles: styles$1,
		render: render$1,
		symbols: symbols$1,
		symbol: symbol$1,
		delimiter: delimiter$1,
		item: item$1
	};
} });

//#endregion
//#region node_modules/prompts/dist/util/lines.js
var require_lines$1 = __commonJS({ "node_modules/prompts/dist/util/lines.js"(exports, module) {
	const strip$2 = require_strip$1();
	/**
	* @param {string} msg
	* @param {number} perLine
	*/
	module.exports = function(msg, perLine) {
		let lines$4 = String(strip$2(msg) || "").split(/\r?\n/);
		if (!perLine) return lines$4.length;
		return lines$4.map((l) => Math.ceil(l.length / perLine)).reduce((a, b) => a + b);
	};
} });

//#endregion
//#region node_modules/prompts/dist/util/wrap.js
var require_wrap$1 = __commonJS({ "node_modules/prompts/dist/util/wrap.js"(exports, module) {
	/**
	* @param {string} msg The message to wrap
	* @param {object} opts
	* @param {number|string} [opts.margin] Left margin
	* @param {number} opts.width Maximum characters per line including the margin
	*/
	module.exports = (msg, opts = {}) => {
		const tab = Number.isSafeInteger(parseInt(opts.margin)) ? new Array(parseInt(opts.margin)).fill(" ").join("") : opts.margin || "";
		const width$2 = opts.width;
		return (msg || "").split(/\r?\n/g).map((line) => line.split(/\s+/g).reduce((arr, w) => {
			if (w.length + tab.length >= width$2 || arr[arr.length - 1].length + w.length + 1 < width$2) arr[arr.length - 1] += ` ${w}`;
			else arr.push(`${tab}${w}`);
			return arr;
		}, [tab]).join("\n")).join("\n");
	};
} });

//#endregion
//#region node_modules/prompts/dist/util/entriesToDisplay.js
var require_entriesToDisplay$1 = __commonJS({ "node_modules/prompts/dist/util/entriesToDisplay.js"(exports, module) {
	/**
	* Determine what entries should be displayed on the screen, based on the
	* currently selected index and the maximum visible. Used in list-based
	* prompts like `select` and `multiselect`.
	*
	* @param {number} cursor the currently selected entry
	* @param {number} total the total entries available to display
	* @param {number} [maxVisible] the number of entries that can be displayed
	*/
	module.exports = (cursor$23, total, maxVisible) => {
		maxVisible = maxVisible || total;
		let startIndex = Math.min(total - maxVisible, cursor$23 - Math.floor(maxVisible / 2));
		if (startIndex < 0) startIndex = 0;
		let endIndex = Math.min(startIndex + maxVisible, total);
		return {
			startIndex,
			endIndex
		};
	};
} });

//#endregion
//#region node_modules/prompts/dist/util/index.js
var require_util$1 = __commonJS({ "node_modules/prompts/dist/util/index.js"(exports, module) {
	module.exports = {
		action: require_action$1(),
		clear: require_clear$1(),
		style: require_style$1(),
		strip: require_strip$1(),
		figures: require_figures$1(),
		lines: require_lines$1(),
		wrap: require_wrap$1(),
		entriesToDisplay: require_entriesToDisplay$1()
	};
} });

//#endregion
//#region node_modules/prompts/dist/elements/prompt.js
var require_prompt$1 = __commonJS({ "node_modules/prompts/dist/elements/prompt.js"(exports, module) {
	const readline$1 = __require("readline");
	const _require$9 = require_util$1(), action$1 = _require$9.action;
	const EventEmitter$1 = __require("events");
	const _require2$9 = require_src(), beep$1 = _require2$9.beep, cursor$20 = _require2$9.cursor;
	const color$19 = require_kleur();
	var Prompt$17 = class extends EventEmitter$1 {
		constructor(opts = {}) {
			super();
			this.firstRender = true;
			this.in = opts.stdin || process.stdin;
			this.out = opts.stdout || process.stdout;
			this.onRender = (opts.onRender || (() => void 0)).bind(this);
			const rl = readline$1.createInterface({
				input: this.in,
				escapeCodeTimeout: 50
			});
			readline$1.emitKeypressEvents(this.in, rl);
			if (this.in.isTTY) this.in.setRawMode(true);
			const isSelect = ["SelectPrompt", "MultiselectPrompt"].indexOf(this.constructor.name) > -1;
			const keypress = (str, key) => {
				let a = action$1(key, isSelect);
				if (a === false) this._ && this._(str, key);
				else if (typeof this[a] === "function") this[a](key);
				else this.bell();
			};
			this.close = () => {
				this.out.write(cursor$20.show);
				this.in.removeListener("keypress", keypress);
				if (this.in.isTTY) this.in.setRawMode(false);
				rl.close();
				this.emit(this.aborted ? "abort" : this.exited ? "exit" : "submit", this.value);
				this.closed = true;
			};
			this.in.on("keypress", keypress);
		}
		fire() {
			this.emit("state", {
				value: this.value,
				aborted: !!this.aborted,
				exited: !!this.exited
			});
		}
		bell() {
			this.out.write(beep$1);
		}
		render() {
			this.onRender(color$19);
			if (this.firstRender) this.firstRender = false;
		}
	};
	module.exports = Prompt$17;
} });

//#endregion
//#region node_modules/prompts/dist/elements/text.js
var require_text$1 = __commonJS({ "node_modules/prompts/dist/elements/text.js"(exports, module) {
	function asyncGeneratorStep$4(gen, resolve, reject, _next, _throw, key, arg) {
		try {
			var info = gen[key](arg);
			var value = info.value;
		} catch (error) {
			reject(error);
			return;
		}
		if (info.done) resolve(value);
		else Promise.resolve(value).then(_next, _throw);
	}
	function _asyncToGenerator$4(fn) {
		return function() {
			var self = this, args = arguments;
			return new Promise(function(resolve, reject) {
				var gen = fn.apply(self, args);
				function _next(value) {
					asyncGeneratorStep$4(gen, resolve, reject, _next, _throw, "next", value);
				}
				function _throw(err) {
					asyncGeneratorStep$4(gen, resolve, reject, _next, _throw, "throw", err);
				}
				_next(void 0);
			});
		};
	}
	const color$18 = require_kleur();
	const Prompt$16 = require_prompt$1();
	const _require$8 = require_src(), erase$12 = _require$8.erase, cursor$19 = _require$8.cursor;
	const _require2$8 = require_util$1(), style$17 = _require2$8.style, clear$17 = _require2$8.clear, lines$3 = _require2$8.lines, figures$15 = _require2$8.figures;
	var TextPrompt$1 = class extends Prompt$16 {
		constructor(opts = {}) {
			super(opts);
			this.transform = style$17.render(opts.style);
			this.scale = this.transform.scale;
			this.msg = opts.message;
			this.initial = opts.initial || ``;
			this.validator = opts.validate || (() => true);
			this.value = ``;
			this.errorMsg = opts.error || `Please Enter A Valid Value`;
			this.cursor = Number(!!this.initial);
			this.cursorOffset = 0;
			this.clear = clear$17(``, this.out.columns);
			this.render();
		}
		set value(v) {
			if (!v && this.initial) {
				this.placeholder = true;
				this.rendered = color$18.gray(this.transform.render(this.initial));
			} else {
				this.placeholder = false;
				this.rendered = this.transform.render(v);
			}
			this._value = v;
			this.fire();
		}
		get value() {
			return this._value;
		}
		reset() {
			this.value = ``;
			this.cursor = Number(!!this.initial);
			this.cursorOffset = 0;
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.value = this.value || this.initial;
			this.done = this.aborted = true;
			this.error = false;
			this.red = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		validate() {
			var _this = this;
			return _asyncToGenerator$4(function* () {
				let valid = yield _this.validator(_this.value);
				if (typeof valid === `string`) {
					_this.errorMsg = valid;
					valid = false;
				}
				_this.error = !valid;
			})();
		}
		submit() {
			var _this2 = this;
			return _asyncToGenerator$4(function* () {
				_this2.value = _this2.value || _this2.initial;
				_this2.cursorOffset = 0;
				_this2.cursor = _this2.rendered.length;
				yield _this2.validate();
				if (_this2.error) {
					_this2.red = true;
					_this2.fire();
					_this2.render();
					return;
				}
				_this2.done = true;
				_this2.aborted = false;
				_this2.fire();
				_this2.render();
				_this2.out.write("\n");
				_this2.close();
			})();
		}
		next() {
			if (!this.placeholder) return this.bell();
			this.value = this.initial;
			this.cursor = this.rendered.length;
			this.fire();
			this.render();
		}
		moveCursor(n) {
			if (this.placeholder) return;
			this.cursor = this.cursor + n;
			this.cursorOffset += n;
		}
		_(c$2, key) {
			let s1 = this.value.slice(0, this.cursor);
			let s2 = this.value.slice(this.cursor);
			this.value = `${s1}${c$2}${s2}`;
			this.red = false;
			this.cursor = this.placeholder ? 0 : s1.length + 1;
			this.render();
		}
		delete() {
			if (this.isCursorAtStart()) return this.bell();
			let s1 = this.value.slice(0, this.cursor - 1);
			let s2 = this.value.slice(this.cursor);
			this.value = `${s1}${s2}`;
			this.red = false;
			if (this.isCursorAtStart()) this.cursorOffset = 0;
			else {
				this.cursorOffset++;
				this.moveCursor(-1);
			}
			this.render();
		}
		deleteForward() {
			if (this.cursor * this.scale >= this.rendered.length || this.placeholder) return this.bell();
			let s1 = this.value.slice(0, this.cursor);
			let s2 = this.value.slice(this.cursor + 1);
			this.value = `${s1}${s2}`;
			this.red = false;
			if (this.isCursorAtEnd()) this.cursorOffset = 0;
			else this.cursorOffset++;
			this.render();
		}
		first() {
			this.cursor = 0;
			this.render();
		}
		last() {
			this.cursor = this.value.length;
			this.render();
		}
		left() {
			if (this.cursor <= 0 || this.placeholder) return this.bell();
			this.moveCursor(-1);
			this.render();
		}
		right() {
			if (this.cursor * this.scale >= this.rendered.length || this.placeholder) return this.bell();
			this.moveCursor(1);
			this.render();
		}
		isCursorAtStart() {
			return this.cursor === 0 || this.placeholder && this.cursor === 1;
		}
		isCursorAtEnd() {
			return this.cursor === this.rendered.length || this.placeholder && this.cursor === this.rendered.length + 1;
		}
		render() {
			if (this.closed) return;
			if (!this.firstRender) {
				if (this.outputError) this.out.write(cursor$19.down(lines$3(this.outputError, this.out.columns) - 1) + clear$17(this.outputError, this.out.columns));
				this.out.write(clear$17(this.outputText, this.out.columns));
			}
			super.render();
			this.outputError = "";
			this.outputText = [
				style$17.symbol(this.done, this.aborted),
				color$18.bold(this.msg),
				style$17.delimiter(this.done),
				this.red ? color$18.red(this.rendered) : this.rendered
			].join(` `);
			if (this.error) this.outputError += this.errorMsg.split(`\n`).reduce((a, l, i) => a + `\n${i ? " " : figures$15.pointerSmall} ${color$18.red().italic(l)}`, ``);
			this.out.write(erase$12.line + cursor$19.to(0) + this.outputText + cursor$19.save + this.outputError + cursor$19.restore + cursor$19.move(this.cursorOffset, 0));
		}
	};
	module.exports = TextPrompt$1;
} });

//#endregion
//#region node_modules/prompts/dist/elements/select.js
var require_select$1 = __commonJS({ "node_modules/prompts/dist/elements/select.js"(exports, module) {
	const color$17 = require_kleur();
	const Prompt$15 = require_prompt$1();
	const _require$7 = require_util$1(), style$16 = _require$7.style, clear$16 = _require$7.clear, figures$14 = _require$7.figures, wrap$5 = _require$7.wrap, entriesToDisplay$5 = _require$7.entriesToDisplay;
	const _require2$7 = require_src(), cursor$18 = _require2$7.cursor;
	var SelectPrompt$1 = class extends Prompt$15 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.hint = opts.hint || "- Use arrow-keys. Return to submit.";
			this.warn = opts.warn || "- This option is disabled";
			this.cursor = opts.initial || 0;
			this.choices = opts.choices.map((ch, idx) => {
				if (typeof ch === "string") ch = {
					title: ch,
					value: idx
				};
				return {
					title: ch && (ch.title || ch.value || ch),
					value: ch && (ch.value === void 0 ? idx : ch.value),
					description: ch && ch.description,
					selected: ch && ch.selected,
					disabled: ch && ch.disabled
				};
			});
			this.optionsPerPage = opts.optionsPerPage || 10;
			this.value = (this.choices[this.cursor] || {}).value;
			this.clear = clear$16("", this.out.columns);
			this.render();
		}
		moveCursor(n) {
			this.cursor = n;
			this.value = this.choices[n].value;
			this.fire();
		}
		reset() {
			this.moveCursor(0);
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			if (!this.selection.disabled) {
				this.done = true;
				this.aborted = false;
				this.fire();
				this.render();
				this.out.write("\n");
				this.close();
			} else this.bell();
		}
		first() {
			this.moveCursor(0);
			this.render();
		}
		last() {
			this.moveCursor(this.choices.length - 1);
			this.render();
		}
		up() {
			if (this.cursor === 0) this.moveCursor(this.choices.length - 1);
			else this.moveCursor(this.cursor - 1);
			this.render();
		}
		down() {
			if (this.cursor === this.choices.length - 1) this.moveCursor(0);
			else this.moveCursor(this.cursor + 1);
			this.render();
		}
		next() {
			this.moveCursor((this.cursor + 1) % this.choices.length);
			this.render();
		}
		_(c$2, key) {
			if (c$2 === " ") return this.submit();
		}
		get selection() {
			return this.choices[this.cursor];
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$18.hide);
			else this.out.write(clear$16(this.outputText, this.out.columns));
			super.render();
			let _entriesToDisplay = entriesToDisplay$5(this.cursor, this.choices.length, this.optionsPerPage), startIndex = _entriesToDisplay.startIndex, endIndex = _entriesToDisplay.endIndex;
			this.outputText = [
				style$16.symbol(this.done, this.aborted),
				color$17.bold(this.msg),
				style$16.delimiter(false),
				this.done ? this.selection.title : this.selection.disabled ? color$17.yellow(this.warn) : color$17.gray(this.hint)
			].join(" ");
			if (!this.done) {
				this.outputText += "\n";
				for (let i = startIndex; i < endIndex; i++) {
					let title, prefix, desc = "", v = this.choices[i];
					if (i === startIndex && startIndex > 0) prefix = figures$14.arrowUp;
					else if (i === endIndex - 1 && endIndex < this.choices.length) prefix = figures$14.arrowDown;
					else prefix = " ";
					if (v.disabled) {
						title = this.cursor === i ? color$17.gray().underline(v.title) : color$17.strikethrough().gray(v.title);
						prefix = (this.cursor === i ? color$17.bold().gray(figures$14.pointer) + " " : "  ") + prefix;
					} else {
						title = this.cursor === i ? color$17.cyan().underline(v.title) : v.title;
						prefix = (this.cursor === i ? color$17.cyan(figures$14.pointer) + " " : "  ") + prefix;
						if (v.description && this.cursor === i) {
							desc = ` - ${v.description}`;
							if (prefix.length + title.length + desc.length >= this.out.columns || v.description.split(/\r?\n/).length > 1) desc = "\n" + wrap$5(v.description, {
								margin: 3,
								width: this.out.columns
							});
						}
					}
					this.outputText += `${prefix} ${title}${color$17.gray(desc)}\n`;
				}
			}
			this.out.write(this.outputText);
		}
	};
	module.exports = SelectPrompt$1;
} });

//#endregion
//#region node_modules/prompts/dist/elements/toggle.js
var require_toggle$1 = __commonJS({ "node_modules/prompts/dist/elements/toggle.js"(exports, module) {
	const color$16 = require_kleur();
	const Prompt$14 = require_prompt$1();
	const _require$6 = require_util$1(), style$15 = _require$6.style, clear$15 = _require$6.clear;
	const _require2$6 = require_src(), cursor$17 = _require2$6.cursor, erase$11 = _require2$6.erase;
	var TogglePrompt$1 = class extends Prompt$14 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.value = !!opts.initial;
			this.active = opts.active || "on";
			this.inactive = opts.inactive || "off";
			this.initialValue = this.value;
			this.render();
		}
		reset() {
			this.value = this.initialValue;
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			this.done = true;
			this.aborted = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		deactivate() {
			if (this.value === false) return this.bell();
			this.value = false;
			this.render();
		}
		activate() {
			if (this.value === true) return this.bell();
			this.value = true;
			this.render();
		}
		delete() {
			this.deactivate();
		}
		left() {
			this.deactivate();
		}
		right() {
			this.activate();
		}
		down() {
			this.deactivate();
		}
		up() {
			this.activate();
		}
		next() {
			this.value = !this.value;
			this.fire();
			this.render();
		}
		_(c$2, key) {
			if (c$2 === " ") this.value = !this.value;
			else if (c$2 === "1") this.value = true;
			else if (c$2 === "0") this.value = false;
			else return this.bell();
			this.render();
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$17.hide);
			else this.out.write(clear$15(this.outputText, this.out.columns));
			super.render();
			this.outputText = [
				style$15.symbol(this.done, this.aborted),
				color$16.bold(this.msg),
				style$15.delimiter(this.done),
				this.value ? this.inactive : color$16.cyan().underline(this.inactive),
				color$16.gray("/"),
				this.value ? color$16.cyan().underline(this.active) : this.active
			].join(" ");
			this.out.write(erase$11.line + cursor$17.to(0) + this.outputText);
		}
	};
	module.exports = TogglePrompt$1;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/datepart.js
var require_datepart$1 = __commonJS({ "node_modules/prompts/dist/dateparts/datepart.js"(exports, module) {
	var DatePart$19 = class DatePart$19 {
		constructor({ token, date, parts, locales }) {
			this.token = token;
			this.date = date || new Date();
			this.parts = parts || [this];
			this.locales = locales || {};
		}
		up() {}
		down() {}
		next() {
			const currentIdx = this.parts.indexOf(this);
			return this.parts.find((part, idx) => idx > currentIdx && part instanceof DatePart$19);
		}
		setTo(val) {}
		prev() {
			let parts = [].concat(this.parts).reverse();
			const currentIdx = parts.indexOf(this);
			return parts.find((part, idx) => idx > currentIdx && part instanceof DatePart$19);
		}
		toString() {
			return String(this.date);
		}
	};
	module.exports = DatePart$19;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/meridiem.js
var require_meridiem$1 = __commonJS({ "node_modules/prompts/dist/dateparts/meridiem.js"(exports, module) {
	const DatePart$18 = require_datepart$1();
	var Meridiem$3 = class extends DatePart$18 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setHours((this.date.getHours() + 12) % 24);
		}
		down() {
			this.up();
		}
		toString() {
			let meridiem = this.date.getHours() > 12 ? "pm" : "am";
			return /\A/.test(this.token) ? meridiem.toUpperCase() : meridiem;
		}
	};
	module.exports = Meridiem$3;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/day.js
var require_day$1 = __commonJS({ "node_modules/prompts/dist/dateparts/day.js"(exports, module) {
	const DatePart$17 = require_datepart$1();
	const pos$1 = (n) => {
		n = n % 10;
		return n === 1 ? "st" : n === 2 ? "nd" : n === 3 ? "rd" : "th";
	};
	var Day$3 = class extends DatePart$17 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setDate(this.date.getDate() + 1);
		}
		down() {
			this.date.setDate(this.date.getDate() - 1);
		}
		setTo(val) {
			this.date.setDate(parseInt(val.substr(-2)));
		}
		toString() {
			let date = this.date.getDate();
			let day = this.date.getDay();
			return this.token === "DD" ? String(date).padStart(2, "0") : this.token === "Do" ? date + pos$1(date) : this.token === "d" ? day + 1 : this.token === "ddd" ? this.locales.weekdaysShort[day] : this.token === "dddd" ? this.locales.weekdays[day] : date;
		}
	};
	module.exports = Day$3;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/hours.js
var require_hours$1 = __commonJS({ "node_modules/prompts/dist/dateparts/hours.js"(exports, module) {
	const DatePart$16 = require_datepart$1();
	var Hours$3 = class extends DatePart$16 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setHours(this.date.getHours() + 1);
		}
		down() {
			this.date.setHours(this.date.getHours() - 1);
		}
		setTo(val) {
			this.date.setHours(parseInt(val.substr(-2)));
		}
		toString() {
			let hours = this.date.getHours();
			if (/h/.test(this.token)) hours = hours % 12 || 12;
			return this.token.length > 1 ? String(hours).padStart(2, "0") : hours;
		}
	};
	module.exports = Hours$3;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/milliseconds.js
var require_milliseconds$1 = __commonJS({ "node_modules/prompts/dist/dateparts/milliseconds.js"(exports, module) {
	const DatePart$15 = require_datepart$1();
	var Milliseconds$3 = class extends DatePart$15 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setMilliseconds(this.date.getMilliseconds() + 1);
		}
		down() {
			this.date.setMilliseconds(this.date.getMilliseconds() - 1);
		}
		setTo(val) {
			this.date.setMilliseconds(parseInt(val.substr(-this.token.length)));
		}
		toString() {
			return String(this.date.getMilliseconds()).padStart(4, "0").substr(0, this.token.length);
		}
	};
	module.exports = Milliseconds$3;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/minutes.js
var require_minutes$1 = __commonJS({ "node_modules/prompts/dist/dateparts/minutes.js"(exports, module) {
	const DatePart$14 = require_datepart$1();
	var Minutes$3 = class extends DatePart$14 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setMinutes(this.date.getMinutes() + 1);
		}
		down() {
			this.date.setMinutes(this.date.getMinutes() - 1);
		}
		setTo(val) {
			this.date.setMinutes(parseInt(val.substr(-2)));
		}
		toString() {
			let m = this.date.getMinutes();
			return this.token.length > 1 ? String(m).padStart(2, "0") : m;
		}
	};
	module.exports = Minutes$3;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/month.js
var require_month$1 = __commonJS({ "node_modules/prompts/dist/dateparts/month.js"(exports, module) {
	const DatePart$13 = require_datepart$1();
	var Month$3 = class extends DatePart$13 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setMonth(this.date.getMonth() + 1);
		}
		down() {
			this.date.setMonth(this.date.getMonth() - 1);
		}
		setTo(val) {
			val = parseInt(val.substr(-2)) - 1;
			this.date.setMonth(val < 0 ? 0 : val);
		}
		toString() {
			let month = this.date.getMonth();
			let tl = this.token.length;
			return tl === 2 ? String(month + 1).padStart(2, "0") : tl === 3 ? this.locales.monthsShort[month] : tl === 4 ? this.locales.months[month] : String(month + 1);
		}
	};
	module.exports = Month$3;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/seconds.js
var require_seconds$1 = __commonJS({ "node_modules/prompts/dist/dateparts/seconds.js"(exports, module) {
	const DatePart$12 = require_datepart$1();
	var Seconds$3 = class extends DatePart$12 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setSeconds(this.date.getSeconds() + 1);
		}
		down() {
			this.date.setSeconds(this.date.getSeconds() - 1);
		}
		setTo(val) {
			this.date.setSeconds(parseInt(val.substr(-2)));
		}
		toString() {
			let s = this.date.getSeconds();
			return this.token.length > 1 ? String(s).padStart(2, "0") : s;
		}
	};
	module.exports = Seconds$3;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/year.js
var require_year$1 = __commonJS({ "node_modules/prompts/dist/dateparts/year.js"(exports, module) {
	const DatePart$11 = require_datepart$1();
	var Year$3 = class extends DatePart$11 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setFullYear(this.date.getFullYear() + 1);
		}
		down() {
			this.date.setFullYear(this.date.getFullYear() - 1);
		}
		setTo(val) {
			this.date.setFullYear(val.substr(-4));
		}
		toString() {
			let year = String(this.date.getFullYear()).padStart(4, "0");
			return this.token.length === 2 ? year.substr(-2) : year;
		}
	};
	module.exports = Year$3;
} });

//#endregion
//#region node_modules/prompts/dist/dateparts/index.js
var require_dateparts$1 = __commonJS({ "node_modules/prompts/dist/dateparts/index.js"(exports, module) {
	module.exports = {
		DatePart: require_datepart$1(),
		Meridiem: require_meridiem$1(),
		Day: require_day$1(),
		Hours: require_hours$1(),
		Milliseconds: require_milliseconds$1(),
		Minutes: require_minutes$1(),
		Month: require_month$1(),
		Seconds: require_seconds$1(),
		Year: require_year$1()
	};
} });

//#endregion
//#region node_modules/prompts/dist/elements/date.js
var require_date$1 = __commonJS({ "node_modules/prompts/dist/elements/date.js"(exports, module) {
	function asyncGeneratorStep$3(gen, resolve, reject, _next, _throw, key, arg) {
		try {
			var info = gen[key](arg);
			var value = info.value;
		} catch (error) {
			reject(error);
			return;
		}
		if (info.done) resolve(value);
		else Promise.resolve(value).then(_next, _throw);
	}
	function _asyncToGenerator$3(fn) {
		return function() {
			var self = this, args = arguments;
			return new Promise(function(resolve, reject) {
				var gen = fn.apply(self, args);
				function _next(value) {
					asyncGeneratorStep$3(gen, resolve, reject, _next, _throw, "next", value);
				}
				function _throw(err) {
					asyncGeneratorStep$3(gen, resolve, reject, _next, _throw, "throw", err);
				}
				_next(void 0);
			});
		};
	}
	const color$15 = require_kleur();
	const Prompt$13 = require_prompt$1();
	const _require$5 = require_util$1(), style$14 = _require$5.style, clear$14 = _require$5.clear, figures$13 = _require$5.figures;
	const _require2$5 = require_src(), erase$10 = _require2$5.erase, cursor$16 = _require2$5.cursor;
	const _require3 = require_dateparts$1(), DatePart$10 = _require3.DatePart, Meridiem$2 = _require3.Meridiem, Day$2 = _require3.Day, Hours$2 = _require3.Hours, Milliseconds$2 = _require3.Milliseconds, Minutes$2 = _require3.Minutes, Month$2 = _require3.Month, Seconds$2 = _require3.Seconds, Year$2 = _require3.Year;
	const regex$1 = /\\(.)|"((?:\\["\\]|[^"])+)"|(D[Do]?|d{3,4}|d)|(M{1,4})|(YY(?:YY)?)|([aA])|([Hh]{1,2})|(m{1,2})|(s{1,2})|(S{1,4})|./g;
	const regexGroups$1 = {
		1: ({ token }) => token.replace(/\\(.)/g, "$1"),
		2: (opts) => new Day$2(opts),
		3: (opts) => new Month$2(opts),
		4: (opts) => new Year$2(opts),
		5: (opts) => new Meridiem$2(opts),
		6: (opts) => new Hours$2(opts),
		7: (opts) => new Minutes$2(opts),
		8: (opts) => new Seconds$2(opts),
		9: (opts) => new Milliseconds$2(opts)
	};
	const dfltLocales$1 = {
		months: "January,February,March,April,May,June,July,August,September,October,November,December".split(","),
		monthsShort: "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec".split(","),
		weekdays: "Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday".split(","),
		weekdaysShort: "Sun,Mon,Tue,Wed,Thu,Fri,Sat".split(",")
	};
	var DatePrompt$1 = class extends Prompt$13 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.cursor = 0;
			this.typed = "";
			this.locales = Object.assign(dfltLocales$1, opts.locales);
			this._date = opts.initial || new Date();
			this.errorMsg = opts.error || "Please Enter A Valid Value";
			this.validator = opts.validate || (() => true);
			this.mask = opts.mask || "YYYY-MM-DD HH:mm:ss";
			this.clear = clear$14("", this.out.columns);
			this.render();
		}
		get value() {
			return this.date;
		}
		get date() {
			return this._date;
		}
		set date(date) {
			if (date) this._date.setTime(date.getTime());
		}
		set mask(mask) {
			let result;
			this.parts = [];
			while (result = regex$1.exec(mask)) {
				let match = result.shift();
				let idx = result.findIndex((gr) => gr != null);
				this.parts.push(idx in regexGroups$1 ? regexGroups$1[idx]({
					token: result[idx] || match,
					date: this.date,
					parts: this.parts,
					locales: this.locales
				}) : result[idx] || match);
			}
			let parts = this.parts.reduce((arr, i) => {
				if (typeof i === "string" && typeof arr[arr.length - 1] === "string") arr[arr.length - 1] += i;
				else arr.push(i);
				return arr;
			}, []);
			this.parts.splice(0);
			this.parts.push(...parts);
			this.reset();
		}
		moveCursor(n) {
			this.typed = "";
			this.cursor = n;
			this.fire();
		}
		reset() {
			this.moveCursor(this.parts.findIndex((p) => p instanceof DatePart$10));
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.error = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		validate() {
			var _this = this;
			return _asyncToGenerator$3(function* () {
				let valid = yield _this.validator(_this.value);
				if (typeof valid === "string") {
					_this.errorMsg = valid;
					valid = false;
				}
				_this.error = !valid;
			})();
		}
		submit() {
			var _this2 = this;
			return _asyncToGenerator$3(function* () {
				yield _this2.validate();
				if (_this2.error) {
					_this2.color = "red";
					_this2.fire();
					_this2.render();
					return;
				}
				_this2.done = true;
				_this2.aborted = false;
				_this2.fire();
				_this2.render();
				_this2.out.write("\n");
				_this2.close();
			})();
		}
		up() {
			this.typed = "";
			this.parts[this.cursor].up();
			this.render();
		}
		down() {
			this.typed = "";
			this.parts[this.cursor].down();
			this.render();
		}
		left() {
			let prev = this.parts[this.cursor].prev();
			if (prev == null) return this.bell();
			this.moveCursor(this.parts.indexOf(prev));
			this.render();
		}
		right() {
			let next = this.parts[this.cursor].next();
			if (next == null) return this.bell();
			this.moveCursor(this.parts.indexOf(next));
			this.render();
		}
		next() {
			let next = this.parts[this.cursor].next();
			this.moveCursor(next ? this.parts.indexOf(next) : this.parts.findIndex((part) => part instanceof DatePart$10));
			this.render();
		}
		_(c$2) {
			if (/\d/.test(c$2)) {
				this.typed += c$2;
				this.parts[this.cursor].setTo(this.typed);
				this.render();
			}
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$16.hide);
			else this.out.write(clear$14(this.outputText, this.out.columns));
			super.render();
			this.outputText = [
				style$14.symbol(this.done, this.aborted),
				color$15.bold(this.msg),
				style$14.delimiter(false),
				this.parts.reduce((arr, p, idx) => arr.concat(idx === this.cursor && !this.done ? color$15.cyan().underline(p.toString()) : p), []).join("")
			].join(" ");
			if (this.error) this.outputText += this.errorMsg.split("\n").reduce((a, l, i) => a + `\n${i ? ` ` : figures$13.pointerSmall} ${color$15.red().italic(l)}`, ``);
			this.out.write(erase$10.line + cursor$16.to(0) + this.outputText);
		}
	};
	module.exports = DatePrompt$1;
} });

//#endregion
//#region node_modules/prompts/dist/elements/number.js
var require_number$1 = __commonJS({ "node_modules/prompts/dist/elements/number.js"(exports, module) {
	function asyncGeneratorStep$2(gen, resolve, reject, _next, _throw, key, arg) {
		try {
			var info = gen[key](arg);
			var value = info.value;
		} catch (error) {
			reject(error);
			return;
		}
		if (info.done) resolve(value);
		else Promise.resolve(value).then(_next, _throw);
	}
	function _asyncToGenerator$2(fn) {
		return function() {
			var self = this, args = arguments;
			return new Promise(function(resolve, reject) {
				var gen = fn.apply(self, args);
				function _next(value) {
					asyncGeneratorStep$2(gen, resolve, reject, _next, _throw, "next", value);
				}
				function _throw(err) {
					asyncGeneratorStep$2(gen, resolve, reject, _next, _throw, "throw", err);
				}
				_next(void 0);
			});
		};
	}
	const color$14 = require_kleur();
	const Prompt$12 = require_prompt$1();
	const _require$4 = require_src(), cursor$15 = _require$4.cursor, erase$9 = _require$4.erase;
	const _require2$4 = require_util$1(), style$13 = _require2$4.style, figures$12 = _require2$4.figures, clear$13 = _require2$4.clear, lines$2 = _require2$4.lines;
	const isNumber$1 = /[0-9]/;
	const isDef$1 = (any) => any !== void 0;
	const round$1 = (number, precision) => {
		let factor = Math.pow(10, precision);
		return Math.round(number * factor) / factor;
	};
	var NumberPrompt$1 = class extends Prompt$12 {
		constructor(opts = {}) {
			super(opts);
			this.transform = style$13.render(opts.style);
			this.msg = opts.message;
			this.initial = isDef$1(opts.initial) ? opts.initial : "";
			this.float = !!opts.float;
			this.round = opts.round || 2;
			this.inc = opts.increment || 1;
			this.min = isDef$1(opts.min) ? opts.min : -Infinity;
			this.max = isDef$1(opts.max) ? opts.max : Infinity;
			this.errorMsg = opts.error || `Please Enter A Valid Value`;
			this.validator = opts.validate || (() => true);
			this.color = `cyan`;
			this.value = ``;
			this.typed = ``;
			this.lastHit = 0;
			this.render();
		}
		set value(v) {
			if (!v && v !== 0) {
				this.placeholder = true;
				this.rendered = color$14.gray(this.transform.render(`${this.initial}`));
				this._value = ``;
			} else {
				this.placeholder = false;
				this.rendered = this.transform.render(`${round$1(v, this.round)}`);
				this._value = round$1(v, this.round);
			}
			this.fire();
		}
		get value() {
			return this._value;
		}
		parse(x) {
			return this.float ? parseFloat(x) : parseInt(x);
		}
		valid(c$2) {
			return c$2 === `-` || c$2 === `.` && this.float || isNumber$1.test(c$2);
		}
		reset() {
			this.typed = ``;
			this.value = ``;
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			let x = this.value;
			this.value = x !== `` ? x : this.initial;
			this.done = this.aborted = true;
			this.error = false;
			this.fire();
			this.render();
			this.out.write(`\n`);
			this.close();
		}
		validate() {
			var _this = this;
			return _asyncToGenerator$2(function* () {
				let valid = yield _this.validator(_this.value);
				if (typeof valid === `string`) {
					_this.errorMsg = valid;
					valid = false;
				}
				_this.error = !valid;
			})();
		}
		submit() {
			var _this2 = this;
			return _asyncToGenerator$2(function* () {
				yield _this2.validate();
				if (_this2.error) {
					_this2.color = `red`;
					_this2.fire();
					_this2.render();
					return;
				}
				let x = _this2.value;
				_this2.value = x !== `` ? x : _this2.initial;
				_this2.done = true;
				_this2.aborted = false;
				_this2.error = false;
				_this2.fire();
				_this2.render();
				_this2.out.write(`\n`);
				_this2.close();
			})();
		}
		up() {
			this.typed = ``;
			if (this.value === "") this.value = this.min - this.inc;
			if (this.value >= this.max) return this.bell();
			this.value += this.inc;
			this.color = `cyan`;
			this.fire();
			this.render();
		}
		down() {
			this.typed = ``;
			if (this.value === "") this.value = this.min + this.inc;
			if (this.value <= this.min) return this.bell();
			this.value -= this.inc;
			this.color = `cyan`;
			this.fire();
			this.render();
		}
		delete() {
			let val = this.value.toString();
			if (val.length === 0) return this.bell();
			this.value = this.parse(val = val.slice(0, -1)) || ``;
			if (this.value !== "" && this.value < this.min) this.value = this.min;
			this.color = `cyan`;
			this.fire();
			this.render();
		}
		next() {
			this.value = this.initial;
			this.fire();
			this.render();
		}
		_(c$2, key) {
			if (!this.valid(c$2)) return this.bell();
			const now = Date.now();
			if (now - this.lastHit > 1e3) this.typed = ``;
			this.typed += c$2;
			this.lastHit = now;
			this.color = `cyan`;
			if (c$2 === `.`) return this.fire();
			this.value = Math.min(this.parse(this.typed), this.max);
			if (this.value > this.max) this.value = this.max;
			if (this.value < this.min) this.value = this.min;
			this.fire();
			this.render();
		}
		render() {
			if (this.closed) return;
			if (!this.firstRender) {
				if (this.outputError) this.out.write(cursor$15.down(lines$2(this.outputError, this.out.columns) - 1) + clear$13(this.outputError, this.out.columns));
				this.out.write(clear$13(this.outputText, this.out.columns));
			}
			super.render();
			this.outputError = "";
			this.outputText = [
				style$13.symbol(this.done, this.aborted),
				color$14.bold(this.msg),
				style$13.delimiter(this.done),
				!this.done || !this.done && !this.placeholder ? color$14[this.color]().underline(this.rendered) : this.rendered
			].join(` `);
			if (this.error) this.outputError += this.errorMsg.split(`\n`).reduce((a, l, i) => a + `\n${i ? ` ` : figures$12.pointerSmall} ${color$14.red().italic(l)}`, ``);
			this.out.write(erase$9.line + cursor$15.to(0) + this.outputText + cursor$15.save + this.outputError + cursor$15.restore);
		}
	};
	module.exports = NumberPrompt$1;
} });

//#endregion
//#region node_modules/prompts/dist/elements/multiselect.js
var require_multiselect$1 = __commonJS({ "node_modules/prompts/dist/elements/multiselect.js"(exports, module) {
	const color$13 = require_kleur();
	const _require$3 = require_src(), cursor$14 = _require$3.cursor;
	const Prompt$11 = require_prompt$1();
	const _require2$3 = require_util$1(), clear$12 = _require2$3.clear, figures$11 = _require2$3.figures, style$12 = _require2$3.style, wrap$4 = _require2$3.wrap, entriesToDisplay$4 = _require2$3.entriesToDisplay;
	var MultiselectPrompt$3 = class extends Prompt$11 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.cursor = opts.cursor || 0;
			this.scrollIndex = opts.cursor || 0;
			this.hint = opts.hint || "";
			this.warn = opts.warn || "- This option is disabled -";
			this.minSelected = opts.min;
			this.showMinError = false;
			this.maxChoices = opts.max;
			this.instructions = opts.instructions;
			this.optionsPerPage = opts.optionsPerPage || 10;
			this.value = opts.choices.map((ch, idx) => {
				if (typeof ch === "string") ch = {
					title: ch,
					value: idx
				};
				return {
					title: ch && (ch.title || ch.value || ch),
					description: ch && ch.description,
					value: ch && (ch.value === void 0 ? idx : ch.value),
					selected: ch && ch.selected,
					disabled: ch && ch.disabled
				};
			});
			this.clear = clear$12("", this.out.columns);
			if (!opts.overrideRender) this.render();
		}
		reset() {
			this.value.map((v) => !v.selected);
			this.cursor = 0;
			this.fire();
			this.render();
		}
		selected() {
			return this.value.filter((v) => v.selected);
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			const selected = this.value.filter((e) => e.selected);
			if (this.minSelected && selected.length < this.minSelected) {
				this.showMinError = true;
				this.render();
			} else {
				this.done = true;
				this.aborted = false;
				this.fire();
				this.render();
				this.out.write("\n");
				this.close();
			}
		}
		first() {
			this.cursor = 0;
			this.render();
		}
		last() {
			this.cursor = this.value.length - 1;
			this.render();
		}
		next() {
			this.cursor = (this.cursor + 1) % this.value.length;
			this.render();
		}
		up() {
			if (this.cursor === 0) this.cursor = this.value.length - 1;
			else this.cursor--;
			this.render();
		}
		down() {
			if (this.cursor === this.value.length - 1) this.cursor = 0;
			else this.cursor++;
			this.render();
		}
		left() {
			this.value[this.cursor].selected = false;
			this.render();
		}
		right() {
			if (this.value.filter((e) => e.selected).length >= this.maxChoices) return this.bell();
			this.value[this.cursor].selected = true;
			this.render();
		}
		handleSpaceToggle() {
			const v = this.value[this.cursor];
			if (v.selected) {
				v.selected = false;
				this.render();
			} else if (v.disabled || this.value.filter((e) => e.selected).length >= this.maxChoices) return this.bell();
			else {
				v.selected = true;
				this.render();
			}
		}
		toggleAll() {
			if (this.maxChoices !== void 0 || this.value[this.cursor].disabled) return this.bell();
			const newSelected = !this.value[this.cursor].selected;
			this.value.filter((v) => !v.disabled).forEach((v) => v.selected = newSelected);
			this.render();
		}
		_(c$2, key) {
			if (c$2 === " ") this.handleSpaceToggle();
			else if (c$2 === "a") this.toggleAll();
			else return this.bell();
		}
		renderInstructions() {
			if (this.instructions === void 0 || this.instructions) {
				if (typeof this.instructions === "string") return this.instructions;
				return `
Instructions:
    ${figures$11.arrowUp}/${figures$11.arrowDown}: Highlight option\n    ${figures$11.arrowLeft}/${figures$11.arrowRight}/[space]: Toggle selection\n` + (this.maxChoices === void 0 ? `    a: Toggle all\n` : "") + `    enter/return: Complete answer`;
			}
			return "";
		}
		renderOption(cursor$23, v, i, arrowIndicator) {
			const prefix = (v.selected ? color$13.green(figures$11.radioOn) : figures$11.radioOff) + " " + arrowIndicator + " ";
			let title, desc;
			if (v.disabled) title = cursor$23 === i ? color$13.gray().underline(v.title) : color$13.strikethrough().gray(v.title);
			else {
				title = cursor$23 === i ? color$13.cyan().underline(v.title) : v.title;
				if (cursor$23 === i && v.description) {
					desc = ` - ${v.description}`;
					if (prefix.length + title.length + desc.length >= this.out.columns || v.description.split(/\r?\n/).length > 1) desc = "\n" + wrap$4(v.description, {
						margin: prefix.length,
						width: this.out.columns
					});
				}
			}
			return prefix + title + color$13.gray(desc || "");
		}
		paginateOptions(options) {
			if (options.length === 0) return color$13.red("No matches for this query.");
			let _entriesToDisplay = entriesToDisplay$4(this.cursor, options.length, this.optionsPerPage), startIndex = _entriesToDisplay.startIndex, endIndex = _entriesToDisplay.endIndex;
			let prefix, styledOptions = [];
			for (let i = startIndex; i < endIndex; i++) {
				if (i === startIndex && startIndex > 0) prefix = figures$11.arrowUp;
				else if (i === endIndex - 1 && endIndex < options.length) prefix = figures$11.arrowDown;
				else prefix = " ";
				styledOptions.push(this.renderOption(this.cursor, options[i], i, prefix));
			}
			return "\n" + styledOptions.join("\n");
		}
		renderOptions(options) {
			if (!this.done) return this.paginateOptions(options);
			return "";
		}
		renderDoneOrInstructions() {
			if (this.done) return this.value.filter((e) => e.selected).map((v) => v.title).join(", ");
			const output = [color$13.gray(this.hint), this.renderInstructions()];
			if (this.value[this.cursor].disabled) output.push(color$13.yellow(this.warn));
			return output.join(" ");
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$14.hide);
			super.render();
			let prompt$2 = [
				style$12.symbol(this.done, this.aborted),
				color$13.bold(this.msg),
				style$12.delimiter(false),
				this.renderDoneOrInstructions()
			].join(" ");
			if (this.showMinError) {
				prompt$2 += color$13.red(`You must select a minimum of ${this.minSelected} choices.`);
				this.showMinError = false;
			}
			prompt$2 += this.renderOptions(this.value);
			this.out.write(this.clear + prompt$2);
			this.clear = clear$12(prompt$2, this.out.columns);
		}
	};
	module.exports = MultiselectPrompt$3;
} });

//#endregion
//#region node_modules/prompts/dist/elements/autocomplete.js
var require_autocomplete$1 = __commonJS({ "node_modules/prompts/dist/elements/autocomplete.js"(exports, module) {
	function asyncGeneratorStep$1(gen, resolve, reject, _next, _throw, key, arg) {
		try {
			var info = gen[key](arg);
			var value = info.value;
		} catch (error) {
			reject(error);
			return;
		}
		if (info.done) resolve(value);
		else Promise.resolve(value).then(_next, _throw);
	}
	function _asyncToGenerator$1(fn) {
		return function() {
			var self = this, args = arguments;
			return new Promise(function(resolve, reject) {
				var gen = fn.apply(self, args);
				function _next(value) {
					asyncGeneratorStep$1(gen, resolve, reject, _next, _throw, "next", value);
				}
				function _throw(err) {
					asyncGeneratorStep$1(gen, resolve, reject, _next, _throw, "throw", err);
				}
				_next(void 0);
			});
		};
	}
	const color$12 = require_kleur();
	const Prompt$10 = require_prompt$1();
	const _require$2 = require_src(), erase$8 = _require$2.erase, cursor$13 = _require$2.cursor;
	const _require2$2 = require_util$1(), style$11 = _require2$2.style, clear$11 = _require2$2.clear, figures$10 = _require2$2.figures, wrap$3 = _require2$2.wrap, entriesToDisplay$3 = _require2$2.entriesToDisplay;
	const getVal$1 = (arr, i) => arr[i] && (arr[i].value || arr[i].title || arr[i]);
	const getTitle$1 = (arr, i) => arr[i] && (arr[i].title || arr[i].value || arr[i]);
	const getIndex$1 = (arr, valOrTitle) => {
		const index = arr.findIndex((el$2) => el$2.value === valOrTitle || el$2.title === valOrTitle);
		return index > -1 ? index : void 0;
	};
	var AutocompletePrompt$1 = class extends Prompt$10 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.suggest = opts.suggest;
			this.choices = opts.choices;
			this.initial = typeof opts.initial === "number" ? opts.initial : getIndex$1(opts.choices, opts.initial);
			this.select = this.initial || opts.cursor || 0;
			this.i18n = { noMatches: opts.noMatches || "no matches found" };
			this.fallback = opts.fallback || this.initial;
			this.clearFirst = opts.clearFirst || false;
			this.suggestions = [];
			this.input = "";
			this.limit = opts.limit || 10;
			this.cursor = 0;
			this.transform = style$11.render(opts.style);
			this.scale = this.transform.scale;
			this.render = this.render.bind(this);
			this.complete = this.complete.bind(this);
			this.clear = clear$11("", this.out.columns);
			this.complete(this.render);
			this.render();
		}
		set fallback(fb) {
			this._fb = Number.isSafeInteger(parseInt(fb)) ? parseInt(fb) : fb;
		}
		get fallback() {
			let choice;
			if (typeof this._fb === "number") choice = this.choices[this._fb];
			else if (typeof this._fb === "string") choice = { title: this._fb };
			return choice || this._fb || { title: this.i18n.noMatches };
		}
		moveSelect(i) {
			this.select = i;
			if (this.suggestions.length > 0) this.value = getVal$1(this.suggestions, i);
			else this.value = this.fallback.value;
			this.fire();
		}
		complete(cb) {
			var _this = this;
			return _asyncToGenerator$1(function* () {
				const p = _this.completing = _this.suggest(_this.input, _this.choices);
				const suggestions = yield p;
				if (_this.completing !== p) return;
				_this.suggestions = suggestions.map((s, i, arr) => ({
					title: getTitle$1(arr, i),
					value: getVal$1(arr, i),
					description: s.description
				}));
				_this.completing = false;
				const l = Math.max(suggestions.length - 1, 0);
				_this.moveSelect(Math.min(l, _this.select));
				cb && cb();
			})();
		}
		reset() {
			this.input = "";
			this.complete(() => {
				this.moveSelect(this.initial !== void 0 ? this.initial : 0);
				this.render();
			});
			this.render();
		}
		exit() {
			if (this.clearFirst && this.input.length > 0) this.reset();
			else {
				this.done = this.exited = true;
				this.aborted = false;
				this.fire();
				this.render();
				this.out.write("\n");
				this.close();
			}
		}
		abort() {
			this.done = this.aborted = true;
			this.exited = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			this.done = true;
			this.aborted = this.exited = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		_(c$2, key) {
			let s1 = this.input.slice(0, this.cursor);
			let s2 = this.input.slice(this.cursor);
			this.input = `${s1}${c$2}${s2}`;
			this.cursor = s1.length + 1;
			this.complete(this.render);
			this.render();
		}
		delete() {
			if (this.cursor === 0) return this.bell();
			let s1 = this.input.slice(0, this.cursor - 1);
			let s2 = this.input.slice(this.cursor);
			this.input = `${s1}${s2}`;
			this.complete(this.render);
			this.cursor = this.cursor - 1;
			this.render();
		}
		deleteForward() {
			if (this.cursor * this.scale >= this.rendered.length) return this.bell();
			let s1 = this.input.slice(0, this.cursor);
			let s2 = this.input.slice(this.cursor + 1);
			this.input = `${s1}${s2}`;
			this.complete(this.render);
			this.render();
		}
		first() {
			this.moveSelect(0);
			this.render();
		}
		last() {
			this.moveSelect(this.suggestions.length - 1);
			this.render();
		}
		up() {
			if (this.select === 0) this.moveSelect(this.suggestions.length - 1);
			else this.moveSelect(this.select - 1);
			this.render();
		}
		down() {
			if (this.select === this.suggestions.length - 1) this.moveSelect(0);
			else this.moveSelect(this.select + 1);
			this.render();
		}
		next() {
			if (this.select === this.suggestions.length - 1) this.moveSelect(0);
			else this.moveSelect(this.select + 1);
			this.render();
		}
		nextPage() {
			this.moveSelect(Math.min(this.select + this.limit, this.suggestions.length - 1));
			this.render();
		}
		prevPage() {
			this.moveSelect(Math.max(this.select - this.limit, 0));
			this.render();
		}
		left() {
			if (this.cursor <= 0) return this.bell();
			this.cursor = this.cursor - 1;
			this.render();
		}
		right() {
			if (this.cursor * this.scale >= this.rendered.length) return this.bell();
			this.cursor = this.cursor + 1;
			this.render();
		}
		renderOption(v, hovered, isStart, isEnd) {
			let desc;
			let prefix = isStart ? figures$10.arrowUp : isEnd ? figures$10.arrowDown : " ";
			let title = hovered ? color$12.cyan().underline(v.title) : v.title;
			prefix = (hovered ? color$12.cyan(figures$10.pointer) + " " : "  ") + prefix;
			if (v.description) {
				desc = ` - ${v.description}`;
				if (prefix.length + title.length + desc.length >= this.out.columns || v.description.split(/\r?\n/).length > 1) desc = "\n" + wrap$3(v.description, {
					margin: 3,
					width: this.out.columns
				});
			}
			return prefix + " " + title + color$12.gray(desc || "");
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$13.hide);
			else this.out.write(clear$11(this.outputText, this.out.columns));
			super.render();
			let _entriesToDisplay = entriesToDisplay$3(this.select, this.choices.length, this.limit), startIndex = _entriesToDisplay.startIndex, endIndex = _entriesToDisplay.endIndex;
			this.outputText = [
				style$11.symbol(this.done, this.aborted, this.exited),
				color$12.bold(this.msg),
				style$11.delimiter(this.completing),
				this.done && this.suggestions[this.select] ? this.suggestions[this.select].title : this.rendered = this.transform.render(this.input)
			].join(" ");
			if (!this.done) {
				const suggestions = this.suggestions.slice(startIndex, endIndex).map((item$2, i) => this.renderOption(item$2, this.select === i + startIndex, i === 0 && startIndex > 0, i + startIndex === endIndex - 1 && endIndex < this.choices.length)).join("\n");
				this.outputText += `\n` + (suggestions || color$12.gray(this.fallback.title));
			}
			this.out.write(erase$8.line + cursor$13.to(0) + this.outputText);
		}
	};
	module.exports = AutocompletePrompt$1;
} });

//#endregion
//#region node_modules/prompts/dist/elements/autocompleteMultiselect.js
var require_autocompleteMultiselect$1 = __commonJS({ "node_modules/prompts/dist/elements/autocompleteMultiselect.js"(exports, module) {
	const color$11 = require_kleur();
	const _require$1 = require_src(), cursor$12 = _require$1.cursor;
	const MultiselectPrompt$2 = require_multiselect$1();
	const _require2$1 = require_util$1(), clear$10 = _require2$1.clear, style$10 = _require2$1.style, figures$9 = _require2$1.figures;
	var AutocompleteMultiselectPrompt$1 = class extends MultiselectPrompt$2 {
		constructor(opts = {}) {
			opts.overrideRender = true;
			super(opts);
			this.inputValue = "";
			this.clear = clear$10("", this.out.columns);
			this.filteredOptions = this.value;
			this.render();
		}
		last() {
			this.cursor = this.filteredOptions.length - 1;
			this.render();
		}
		next() {
			this.cursor = (this.cursor + 1) % this.filteredOptions.length;
			this.render();
		}
		up() {
			if (this.cursor === 0) this.cursor = this.filteredOptions.length - 1;
			else this.cursor--;
			this.render();
		}
		down() {
			if (this.cursor === this.filteredOptions.length - 1) this.cursor = 0;
			else this.cursor++;
			this.render();
		}
		left() {
			this.filteredOptions[this.cursor].selected = false;
			this.render();
		}
		right() {
			if (this.value.filter((e) => e.selected).length >= this.maxChoices) return this.bell();
			this.filteredOptions[this.cursor].selected = true;
			this.render();
		}
		delete() {
			if (this.inputValue.length) {
				this.inputValue = this.inputValue.substr(0, this.inputValue.length - 1);
				this.updateFilteredOptions();
			}
		}
		updateFilteredOptions() {
			const currentHighlight = this.filteredOptions[this.cursor];
			this.filteredOptions = this.value.filter((v) => {
				if (this.inputValue) {
					if (typeof v.title === "string") {
						if (v.title.toLowerCase().includes(this.inputValue.toLowerCase())) return true;
					}
					if (typeof v.value === "string") {
						if (v.value.toLowerCase().includes(this.inputValue.toLowerCase())) return true;
					}
					return false;
				}
				return true;
			});
			const newHighlightIndex = this.filteredOptions.findIndex((v) => v === currentHighlight);
			this.cursor = newHighlightIndex < 0 ? 0 : newHighlightIndex;
			this.render();
		}
		handleSpaceToggle() {
			const v = this.filteredOptions[this.cursor];
			if (v.selected) {
				v.selected = false;
				this.render();
			} else if (v.disabled || this.value.filter((e) => e.selected).length >= this.maxChoices) return this.bell();
			else {
				v.selected = true;
				this.render();
			}
		}
		handleInputChange(c$2) {
			this.inputValue = this.inputValue + c$2;
			this.updateFilteredOptions();
		}
		_(c$2, key) {
			if (c$2 === " ") this.handleSpaceToggle();
			else this.handleInputChange(c$2);
		}
		renderInstructions() {
			if (this.instructions === void 0 || this.instructions) {
				if (typeof this.instructions === "string") return this.instructions;
				return `
Instructions:
    ${figures$9.arrowUp}/${figures$9.arrowDown}: Highlight option
    ${figures$9.arrowLeft}/${figures$9.arrowRight}/[space]: Toggle selection
    [a,b,c]/delete: Filter choices
    enter/return: Complete answer
`;
			}
			return "";
		}
		renderCurrentInput() {
			return `
Filtered results for: ${this.inputValue ? this.inputValue : color$11.gray("Enter something to filter")}\n`;
		}
		renderOption(cursor$23, v, i) {
			let title;
			if (v.disabled) title = cursor$23 === i ? color$11.gray().underline(v.title) : color$11.strikethrough().gray(v.title);
			else title = cursor$23 === i ? color$11.cyan().underline(v.title) : v.title;
			return (v.selected ? color$11.green(figures$9.radioOn) : figures$9.radioOff) + "  " + title;
		}
		renderDoneOrInstructions() {
			if (this.done) return this.value.filter((e) => e.selected).map((v) => v.title).join(", ");
			const output = [
				color$11.gray(this.hint),
				this.renderInstructions(),
				this.renderCurrentInput()
			];
			if (this.filteredOptions.length && this.filteredOptions[this.cursor].disabled) output.push(color$11.yellow(this.warn));
			return output.join(" ");
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$12.hide);
			super.render();
			let prompt$2 = [
				style$10.symbol(this.done, this.aborted),
				color$11.bold(this.msg),
				style$10.delimiter(false),
				this.renderDoneOrInstructions()
			].join(" ");
			if (this.showMinError) {
				prompt$2 += color$11.red(`You must select a minimum of ${this.minSelected} choices.`);
				this.showMinError = false;
			}
			prompt$2 += this.renderOptions(this.filteredOptions);
			this.out.write(this.clear + prompt$2);
			this.clear = clear$10(prompt$2, this.out.columns);
		}
	};
	module.exports = AutocompleteMultiselectPrompt$1;
} });

//#endregion
//#region node_modules/prompts/dist/elements/confirm.js
var require_confirm$1 = __commonJS({ "node_modules/prompts/dist/elements/confirm.js"(exports, module) {
	const color$10 = require_kleur();
	const Prompt$9 = require_prompt$1();
	const _require = require_util$1(), style$9 = _require.style, clear$9 = _require.clear;
	const _require2 = require_src(), erase$7 = _require2.erase, cursor$11 = _require2.cursor;
	var ConfirmPrompt$1 = class extends Prompt$9 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.value = opts.initial;
			this.initialValue = !!opts.initial;
			this.yesMsg = opts.yes || "yes";
			this.yesOption = opts.yesOption || "(Y/n)";
			this.noMsg = opts.no || "no";
			this.noOption = opts.noOption || "(y/N)";
			this.render();
		}
		reset() {
			this.value = this.initialValue;
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			this.value = this.value || false;
			this.done = true;
			this.aborted = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		_(c$2, key) {
			if (c$2.toLowerCase() === "y") {
				this.value = true;
				return this.submit();
			}
			if (c$2.toLowerCase() === "n") {
				this.value = false;
				return this.submit();
			}
			return this.bell();
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$11.hide);
			else this.out.write(clear$9(this.outputText, this.out.columns));
			super.render();
			this.outputText = [
				style$9.symbol(this.done, this.aborted),
				color$10.bold(this.msg),
				style$9.delimiter(this.done),
				this.done ? this.value ? this.yesMsg : this.noMsg : color$10.gray(this.initialValue ? this.yesOption : this.noOption)
			].join(" ");
			this.out.write(erase$7.line + cursor$11.to(0) + this.outputText);
		}
	};
	module.exports = ConfirmPrompt$1;
} });

//#endregion
//#region node_modules/prompts/dist/elements/index.js
var require_elements$1 = __commonJS({ "node_modules/prompts/dist/elements/index.js"(exports, module) {
	module.exports = {
		TextPrompt: require_text$1(),
		SelectPrompt: require_select$1(),
		TogglePrompt: require_toggle$1(),
		DatePrompt: require_date$1(),
		NumberPrompt: require_number$1(),
		MultiselectPrompt: require_multiselect$1(),
		AutocompletePrompt: require_autocomplete$1(),
		AutocompleteMultiselectPrompt: require_autocompleteMultiselect$1(),
		ConfirmPrompt: require_confirm$1()
	};
} });

//#endregion
//#region node_modules/prompts/dist/prompts.js
var require_prompts$2 = __commonJS({ "node_modules/prompts/dist/prompts.js"(exports) {
	const $$1 = exports;
	const el$1 = require_elements$1();
	const noop$3 = (v) => v;
	function toPrompt$1(type, args, opts = {}) {
		return new Promise((res, rej) => {
			const p = new el$1[type](args);
			const onAbort = opts.onAbort || noop$3;
			const onSubmit = opts.onSubmit || noop$3;
			const onExit = opts.onExit || noop$3;
			p.on("state", args.onState || noop$3);
			p.on("submit", (x) => res(onSubmit(x)));
			p.on("exit", (x) => res(onExit(x)));
			p.on("abort", (x) => rej(onAbort(x)));
		});
	}
	/**
	* Text prompt
	* @param {string} args.message Prompt message to display
	* @param {string} [args.initial] Default string value
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {function} [args.onState] On state change callback
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.text = (args) => toPrompt$1("TextPrompt", args);
	/**
	* Password prompt with masked input
	* @param {string} args.message Prompt message to display
	* @param {string} [args.initial] Default string value
	* @param {function} [args.onState] On state change callback
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.password = (args) => {
		args.style = "password";
		return $$1.text(args);
	};
	/**
	* Prompt where input is invisible, like sudo
	* @param {string} args.message Prompt message to display
	* @param {string} [args.initial] Default string value
	* @param {function} [args.onState] On state change callback
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.invisible = (args) => {
		args.style = "invisible";
		return $$1.text(args);
	};
	/**
	* Number prompt
	* @param {string} args.message Prompt message to display
	* @param {number} args.initial Default number value
	* @param {function} [args.onState] On state change callback
	* @param {number} [args.max] Max value
	* @param {number} [args.min] Min value
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {Boolean} [opts.float=false] Parse input as floats
	* @param {Number} [opts.round=2] Round floats to x decimals
	* @param {Number} [opts.increment=1] Number to increment by when using arrow-keys
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.number = (args) => toPrompt$1("NumberPrompt", args);
	/**
	* Date prompt
	* @param {string} args.message Prompt message to display
	* @param {number} args.initial Default number value
	* @param {function} [args.onState] On state change callback
	* @param {number} [args.max] Max value
	* @param {number} [args.min] Min value
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {Boolean} [opts.float=false] Parse input as floats
	* @param {Number} [opts.round=2] Round floats to x decimals
	* @param {Number} [opts.increment=1] Number to increment by when using arrow-keys
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.date = (args) => toPrompt$1("DatePrompt", args);
	/**
	* Classic yes/no prompt
	* @param {string} args.message Prompt message to display
	* @param {boolean} [args.initial=false] Default value
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.confirm = (args) => toPrompt$1("ConfirmPrompt", args);
	/**
	* List prompt, split intput string by `seperator`
	* @param {string} args.message Prompt message to display
	* @param {string} [args.initial] Default string value
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {string} [args.separator] String separator
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input, in form of an `Array`
	*/
	$$1.list = (args) => {
		const sep = args.separator || ",";
		return toPrompt$1("TextPrompt", args, { onSubmit: (str) => str.split(sep).map((s) => s.trim()) });
	};
	/**
	* Toggle/switch prompt
	* @param {string} args.message Prompt message to display
	* @param {boolean} [args.initial=false] Default value
	* @param {string} [args.active="on"] Text for `active` state
	* @param {string} [args.inactive="off"] Text for `inactive` state
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.toggle = (args) => toPrompt$1("TogglePrompt", args);
	/**
	* Interactive select prompt
	* @param {string} args.message Prompt message to display
	* @param {Array} args.choices Array of choices objects `[{ title, value }, ...]`
	* @param {number} [args.initial] Index of default value
	* @param {String} [args.hint] Hint to display
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.select = (args) => toPrompt$1("SelectPrompt", args);
	/**
	* Interactive multi-select / autocompleteMultiselect prompt
	* @param {string} args.message Prompt message to display
	* @param {Array} args.choices Array of choices objects `[{ title, value, [selected] }, ...]`
	* @param {number} [args.max] Max select
	* @param {string} [args.hint] Hint to display user
	* @param {Number} [args.cursor=0] Cursor start position
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.multiselect = (args) => {
		args.choices = [].concat(args.choices || []);
		const toSelected = (items) => items.filter((item$2) => item$2.selected).map((item$2) => item$2.value);
		return toPrompt$1("MultiselectPrompt", args, {
			onAbort: toSelected,
			onSubmit: toSelected
		});
	};
	$$1.autocompleteMultiselect = (args) => {
		args.choices = [].concat(args.choices || []);
		const toSelected = (items) => items.filter((item$2) => item$2.selected).map((item$2) => item$2.value);
		return toPrompt$1("AutocompleteMultiselectPrompt", args, {
			onAbort: toSelected,
			onSubmit: toSelected
		});
	};
	const byTitle$1 = (input, choices) => Promise.resolve(choices.filter((item$2) => item$2.title.slice(0, input.length).toLowerCase() === input.toLowerCase()));
	/**
	* Interactive auto-complete prompt
	* @param {string} args.message Prompt message to display
	* @param {Array} args.choices Array of auto-complete choices objects `[{ title, value }, ...]`
	* @param {Function} [args.suggest] Function to filter results based on user input. Defaults to sort by `title`
	* @param {number} [args.limit=10] Max number of results to show
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {String} [args.initial] Index of the default value
	* @param {boolean} [opts.clearFirst] The first ESCAPE keypress will clear the input
	* @param {String} [args.fallback] Fallback message - defaults to initial value
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$$1.autocomplete = (args) => {
		args.suggest = args.suggest || byTitle$1;
		args.choices = [].concat(args.choices || []);
		return toPrompt$1("AutocompletePrompt", args);
	};
} });

//#endregion
//#region node_modules/prompts/dist/index.js
var require_dist = __commonJS({ "node_modules/prompts/dist/index.js"(exports, module) {
	function ownKeys(object, enumerableOnly) {
		var keys = Object.keys(object);
		if (Object.getOwnPropertySymbols) {
			var symbols$2 = Object.getOwnPropertySymbols(object);
			if (enumerableOnly) symbols$2 = symbols$2.filter(function(sym) {
				return Object.getOwnPropertyDescriptor(object, sym).enumerable;
			});
			keys.push.apply(keys, symbols$2);
		}
		return keys;
	}
	function _objectSpread(target) {
		for (var i = 1; i < arguments.length; i++) {
			var source = arguments[i] != null ? arguments[i] : {};
			if (i % 2) ownKeys(Object(source), true).forEach(function(key) {
				_defineProperty(target, key, source[key]);
			});
			else if (Object.getOwnPropertyDescriptors) Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
			else ownKeys(Object(source)).forEach(function(key) {
				Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
			});
		}
		return target;
	}
	function _defineProperty(obj, key, value) {
		if (key in obj) Object.defineProperty(obj, key, {
			value,
			enumerable: true,
			configurable: true,
			writable: true
		});
		else obj[key] = value;
		return obj;
	}
	function _createForOfIteratorHelper(o, allowArrayLike) {
		var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];
		if (!it) {
			if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
				if (it) o = it;
				var i = 0;
				var F = function F$1() {};
				return {
					s: F,
					n: function n() {
						if (i >= o.length) return { done: true };
						return {
							done: false,
							value: o[i++]
						};
					},
					e: function e(_e) {
						throw _e;
					},
					f: F
				};
			}
			throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
		}
		var normalCompletion = true, didErr = false, err;
		return {
			s: function s() {
				it = it.call(o);
			},
			n: function n() {
				var step = it.next();
				normalCompletion = step.done;
				return step;
			},
			e: function e(_e2) {
				didErr = true;
				err = _e2;
			},
			f: function f() {
				try {
					if (!normalCompletion && it.return != null) it.return();
				} finally {
					if (didErr) throw err;
				}
			}
		};
	}
	function _unsupportedIterableToArray(o, minLen) {
		if (!o) return;
		if (typeof o === "string") return _arrayLikeToArray(o, minLen);
		var n = Object.prototype.toString.call(o).slice(8, -1);
		if (n === "Object" && o.constructor) n = o.constructor.name;
		if (n === "Map" || n === "Set") return Array.from(o);
		if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
	}
	function _arrayLikeToArray(arr, len) {
		if (len == null || len > arr.length) len = arr.length;
		for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];
		return arr2;
	}
	function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
		try {
			var info = gen[key](arg);
			var value = info.value;
		} catch (error) {
			reject(error);
			return;
		}
		if (info.done) resolve(value);
		else Promise.resolve(value).then(_next, _throw);
	}
	function _asyncToGenerator(fn) {
		return function() {
			var self = this, args = arguments;
			return new Promise(function(resolve, reject) {
				var gen = fn.apply(self, args);
				function _next(value) {
					asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
				}
				function _throw(err) {
					asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
				}
				_next(void 0);
			});
		};
	}
	const prompts$1 = require_prompts$2();
	const passOn$1 = [
		"suggest",
		"format",
		"onState",
		"validate",
		"onRender",
		"type"
	];
	const noop$2 = () => {};
	/**
	* Prompt for a series of questions
	* @param {Array|Object} questions Single question object or Array of question objects
	* @param {Function} [onSubmit] Callback function called on prompt submit
	* @param {Function} [onCancel] Callback function called on cancel/abort
	* @returns {Object} Object with values from user input
	*/
	function prompt$1() {
		return _prompt.apply(this, arguments);
	}
	function _prompt() {
		_prompt = _asyncToGenerator(function* (questions$1 = [], { onSubmit = noop$2, onCancel = noop$2 } = {}) {
			const answers = {};
			const override$2 = prompt$1._override || {};
			questions$1 = [].concat(questions$1);
			let answer, question, quit, name, type, lastPrompt;
			const getFormattedAnswer = /* @__PURE__ */ function() {
				var _ref = _asyncToGenerator(function* (question$1, answer$1, skipValidation = false) {
					if (!skipValidation && question$1.validate && question$1.validate(answer$1) !== true) return;
					return question$1.format ? yield question$1.format(answer$1, answers) : answer$1;
				});
				return function getFormattedAnswer$1(_x, _x2) {
					return _ref.apply(this, arguments);
				};
			}();
			var _iterator = _createForOfIteratorHelper(questions$1), _step;
			try {
				for (_iterator.s(); !(_step = _iterator.n()).done;) {
					question = _step.value;
					var _question = question;
					name = _question.name;
					type = _question.type;
					if (typeof type === "function") {
						type = yield type(answer, _objectSpread({}, answers), question);
						question["type"] = type;
					}
					if (!type) continue;
					for (let key in question) {
						if (passOn$1.includes(key)) continue;
						let value = question[key];
						question[key] = typeof value === "function" ? yield value(answer, _objectSpread({}, answers), lastPrompt) : value;
					}
					lastPrompt = question;
					if (typeof question.message !== "string") throw new Error("prompt message is required");
					var _question2 = question;
					name = _question2.name;
					type = _question2.type;
					if (prompts$1[type] === void 0) throw new Error(`prompt type (${type}) is not defined`);
					if (override$2[question.name] !== void 0) {
						answer = yield getFormattedAnswer(question, override$2[question.name]);
						if (answer !== void 0) {
							answers[name] = answer;
							continue;
						}
					}
					try {
						answer = prompt$1._injected ? getInjectedAnswer$1(prompt$1._injected, question.initial) : yield prompts$1[type](question);
						answers[name] = answer = yield getFormattedAnswer(question, answer, true);
						quit = yield onSubmit(question, answer, answers);
					} catch (err) {
						quit = !(yield onCancel(question, answers));
					}
					if (quit) return answers;
				}
			} catch (err) {
				_iterator.e(err);
			} finally {
				_iterator.f();
			}
			return answers;
		});
		return _prompt.apply(this, arguments);
	}
	function getInjectedAnswer$1(injected, deafultValue) {
		const answer = injected.shift();
		if (answer instanceof Error) throw answer;
		return answer === void 0 ? deafultValue : answer;
	}
	function inject$1(answers) {
		prompt$1._injected = (prompt$1._injected || []).concat(answers);
	}
	function override$1(answers) {
		prompt$1._override = Object.assign({}, answers);
	}
	module.exports = Object.assign(prompt$1, {
		prompt: prompt$1,
		prompts: prompts$1,
		inject: inject$1,
		override: override$1
	});
} });

//#endregion
//#region node_modules/prompts/lib/util/action.js
var require_action = __commonJS({ "node_modules/prompts/lib/util/action.js"(exports, module) {
	module.exports = (key, isSelect) => {
		if (key.meta && key.name !== "escape") return;
		if (key.ctrl) {
			if (key.name === "a") return "first";
			if (key.name === "c") return "abort";
			if (key.name === "d") return "abort";
			if (key.name === "e") return "last";
			if (key.name === "g") return "reset";
		}
		if (isSelect) {
			if (key.name === "j") return "down";
			if (key.name === "k") return "up";
		}
		if (key.name === "return") return "submit";
		if (key.name === "enter") return "submit";
		if (key.name === "backspace") return "delete";
		if (key.name === "delete") return "deleteForward";
		if (key.name === "abort") return "abort";
		if (key.name === "escape") return "exit";
		if (key.name === "tab") return "next";
		if (key.name === "pagedown") return "nextPage";
		if (key.name === "pageup") return "prevPage";
		if (key.name === "home") return "home";
		if (key.name === "end") return "end";
		if (key.name === "up") return "up";
		if (key.name === "down") return "down";
		if (key.name === "right") return "right";
		if (key.name === "left") return "left";
		return false;
	};
} });

//#endregion
//#region node_modules/prompts/lib/util/strip.js
var require_strip = __commonJS({ "node_modules/prompts/lib/util/strip.js"(exports, module) {
	module.exports = (str) => {
		const pattern = ["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)", "(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PRZcf-ntqry=><~]))"].join("|");
		const RGX = new RegExp(pattern, "g");
		return typeof str === "string" ? str.replace(RGX, "") : str;
	};
} });

//#endregion
//#region node_modules/prompts/lib/util/clear.js
var require_clear = __commonJS({ "node_modules/prompts/lib/util/clear.js"(exports, module) {
	const strip$1 = require_strip();
	const { erase: erase$6, cursor: cursor$10 } = require_src();
	const width = (str) => [...strip$1(str)].length;
	/**
	* @param {string} prompt
	* @param {number} perLine
	*/
	module.exports = function(prompt$2, perLine) {
		if (!perLine) return erase$6.line + cursor$10.to(0);
		let rows = 0;
		const lines$4 = prompt$2.split(/\r?\n/);
		for (let line of lines$4) rows += 1 + Math.floor(Math.max(width(line) - 1, 0) / perLine);
		return erase$6.lines(rows);
	};
} });

//#endregion
//#region node_modules/prompts/lib/util/figures.js
var require_figures = __commonJS({ "node_modules/prompts/lib/util/figures.js"(exports, module) {
	const main = {
		arrowUp: "↑",
		arrowDown: "↓",
		arrowLeft: "←",
		arrowRight: "→",
		radioOn: "◉",
		radioOff: "◯",
		tick: "✔",
		cross: "✖",
		ellipsis: "…",
		pointerSmall: "›",
		line: "─",
		pointer: "❯"
	};
	const win = {
		arrowUp: main.arrowUp,
		arrowDown: main.arrowDown,
		arrowLeft: main.arrowLeft,
		arrowRight: main.arrowRight,
		radioOn: "(*)",
		radioOff: "( )",
		tick: "√",
		cross: "×",
		ellipsis: "...",
		pointerSmall: "»",
		line: "─",
		pointer: ">"
	};
	const figures$8 = process.platform === "win32" ? win : main;
	module.exports = figures$8;
} });

//#endregion
//#region node_modules/prompts/lib/util/style.js
var require_style = __commonJS({ "node_modules/prompts/lib/util/style.js"(exports, module) {
	const c = require_kleur();
	const figures$7 = require_figures();
	const styles = Object.freeze({
		password: {
			scale: 1,
			render: (input) => "*".repeat(input.length)
		},
		emoji: {
			scale: 2,
			render: (input) => "😃".repeat(input.length)
		},
		invisible: {
			scale: 0,
			render: (input) => ""
		},
		default: {
			scale: 1,
			render: (input) => `${input}`
		}
	});
	const render = (type) => styles[type] || styles.default;
	const symbols = Object.freeze({
		aborted: c.red(figures$7.cross),
		done: c.green(figures$7.tick),
		exited: c.yellow(figures$7.cross),
		default: c.cyan("?")
	});
	const symbol = (done, aborted, exited) => aborted ? symbols.aborted : exited ? symbols.exited : done ? symbols.done : symbols.default;
	const delimiter = (completing) => c.gray(completing ? figures$7.ellipsis : figures$7.pointerSmall);
	const item = (expandable, expanded) => c.gray(expandable ? expanded ? figures$7.pointerSmall : "+" : figures$7.line);
	module.exports = {
		styles,
		render,
		symbols,
		symbol,
		delimiter,
		item
	};
} });

//#endregion
//#region node_modules/prompts/lib/util/lines.js
var require_lines = __commonJS({ "node_modules/prompts/lib/util/lines.js"(exports, module) {
	const strip = require_strip();
	/**
	* @param {string} msg
	* @param {number} perLine
	*/
	module.exports = function(msg, perLine) {
		let lines$4 = String(strip(msg) || "").split(/\r?\n/);
		if (!perLine) return lines$4.length;
		return lines$4.map((l) => Math.ceil(l.length / perLine)).reduce((a, b) => a + b);
	};
} });

//#endregion
//#region node_modules/prompts/lib/util/wrap.js
var require_wrap = __commonJS({ "node_modules/prompts/lib/util/wrap.js"(exports, module) {
	/**
	* @param {string} msg The message to wrap
	* @param {object} opts
	* @param {number|string} [opts.margin] Left margin
	* @param {number} opts.width Maximum characters per line including the margin
	*/
	module.exports = (msg, opts = {}) => {
		const tab = Number.isSafeInteger(parseInt(opts.margin)) ? new Array(parseInt(opts.margin)).fill(" ").join("") : opts.margin || "";
		const width$2 = opts.width;
		return (msg || "").split(/\r?\n/g).map((line) => line.split(/\s+/g).reduce((arr, w) => {
			if (w.length + tab.length >= width$2 || arr[arr.length - 1].length + w.length + 1 < width$2) arr[arr.length - 1] += ` ${w}`;
			else arr.push(`${tab}${w}`);
			return arr;
		}, [tab]).join("\n")).join("\n");
	};
} });

//#endregion
//#region node_modules/prompts/lib/util/entriesToDisplay.js
var require_entriesToDisplay = __commonJS({ "node_modules/prompts/lib/util/entriesToDisplay.js"(exports, module) {
	/**
	* Determine what entries should be displayed on the screen, based on the
	* currently selected index and the maximum visible. Used in list-based
	* prompts like `select` and `multiselect`.
	*
	* @param {number} cursor the currently selected entry
	* @param {number} total the total entries available to display
	* @param {number} [maxVisible] the number of entries that can be displayed
	*/
	module.exports = (cursor$23, total, maxVisible) => {
		maxVisible = maxVisible || total;
		let startIndex = Math.min(total - maxVisible, cursor$23 - Math.floor(maxVisible / 2));
		if (startIndex < 0) startIndex = 0;
		let endIndex = Math.min(startIndex + maxVisible, total);
		return {
			startIndex,
			endIndex
		};
	};
} });

//#endregion
//#region node_modules/prompts/lib/util/index.js
var require_util = __commonJS({ "node_modules/prompts/lib/util/index.js"(exports, module) {
	module.exports = {
		action: require_action(),
		clear: require_clear(),
		style: require_style(),
		strip: require_strip(),
		figures: require_figures(),
		lines: require_lines(),
		wrap: require_wrap(),
		entriesToDisplay: require_entriesToDisplay()
	};
} });

//#endregion
//#region node_modules/prompts/lib/elements/prompt.js
var require_prompt = __commonJS({ "node_modules/prompts/lib/elements/prompt.js"(exports, module) {
	const readline = __require("readline");
	const { action } = require_util();
	const EventEmitter = __require("events");
	const { beep, cursor: cursor$9 } = require_src();
	const color$9 = require_kleur();
	var Prompt$8 = class extends EventEmitter {
		constructor(opts = {}) {
			super();
			this.firstRender = true;
			this.in = opts.stdin || process.stdin;
			this.out = opts.stdout || process.stdout;
			this.onRender = (opts.onRender || (() => void 0)).bind(this);
			const rl = readline.createInterface({
				input: this.in,
				escapeCodeTimeout: 50
			});
			readline.emitKeypressEvents(this.in, rl);
			if (this.in.isTTY) this.in.setRawMode(true);
			const isSelect = ["SelectPrompt", "MultiselectPrompt"].indexOf(this.constructor.name) > -1;
			const keypress = (str, key) => {
				let a = action(key, isSelect);
				if (a === false) this._ && this._(str, key);
				else if (typeof this[a] === "function") this[a](key);
				else this.bell();
			};
			this.close = () => {
				this.out.write(cursor$9.show);
				this.in.removeListener("keypress", keypress);
				if (this.in.isTTY) this.in.setRawMode(false);
				rl.close();
				this.emit(this.aborted ? "abort" : this.exited ? "exit" : "submit", this.value);
				this.closed = true;
			};
			this.in.on("keypress", keypress);
		}
		fire() {
			this.emit("state", {
				value: this.value,
				aborted: !!this.aborted,
				exited: !!this.exited
			});
		}
		bell() {
			this.out.write(beep);
		}
		render() {
			this.onRender(color$9);
			if (this.firstRender) this.firstRender = false;
		}
	};
	module.exports = Prompt$8;
} });

//#endregion
//#region node_modules/prompts/lib/elements/text.js
var require_text = __commonJS({ "node_modules/prompts/lib/elements/text.js"(exports, module) {
	const color$8 = require_kleur();
	const Prompt$7 = require_prompt();
	const { erase: erase$5, cursor: cursor$8 } = require_src();
	const { style: style$8, clear: clear$8, lines: lines$1, figures: figures$6 } = require_util();
	var TextPrompt = class extends Prompt$7 {
		constructor(opts = {}) {
			super(opts);
			this.transform = style$8.render(opts.style);
			this.scale = this.transform.scale;
			this.msg = opts.message;
			this.initial = opts.initial || ``;
			this.validator = opts.validate || (() => true);
			this.value = ``;
			this.errorMsg = opts.error || `Please Enter A Valid Value`;
			this.cursor = Number(!!this.initial);
			this.cursorOffset = 0;
			this.clear = clear$8(``, this.out.columns);
			this.render();
		}
		set value(v) {
			if (!v && this.initial) {
				this.placeholder = true;
				this.rendered = color$8.gray(this.transform.render(this.initial));
			} else {
				this.placeholder = false;
				this.rendered = this.transform.render(v);
			}
			this._value = v;
			this.fire();
		}
		get value() {
			return this._value;
		}
		reset() {
			this.value = ``;
			this.cursor = Number(!!this.initial);
			this.cursorOffset = 0;
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.value = this.value || this.initial;
			this.done = this.aborted = true;
			this.error = false;
			this.red = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		async validate() {
			let valid = await this.validator(this.value);
			if (typeof valid === `string`) {
				this.errorMsg = valid;
				valid = false;
			}
			this.error = !valid;
		}
		async submit() {
			this.value = this.value || this.initial;
			this.cursorOffset = 0;
			this.cursor = this.rendered.length;
			await this.validate();
			if (this.error) {
				this.red = true;
				this.fire();
				this.render();
				return;
			}
			this.done = true;
			this.aborted = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		next() {
			if (!this.placeholder) return this.bell();
			this.value = this.initial;
			this.cursor = this.rendered.length;
			this.fire();
			this.render();
		}
		moveCursor(n) {
			if (this.placeholder) return;
			this.cursor = this.cursor + n;
			this.cursorOffset += n;
		}
		_(c$2, key) {
			let s1 = this.value.slice(0, this.cursor);
			let s2 = this.value.slice(this.cursor);
			this.value = `${s1}${c$2}${s2}`;
			this.red = false;
			this.cursor = this.placeholder ? 0 : s1.length + 1;
			this.render();
		}
		delete() {
			if (this.isCursorAtStart()) return this.bell();
			let s1 = this.value.slice(0, this.cursor - 1);
			let s2 = this.value.slice(this.cursor);
			this.value = `${s1}${s2}`;
			this.red = false;
			if (this.isCursorAtStart()) this.cursorOffset = 0;
			else {
				this.cursorOffset++;
				this.moveCursor(-1);
			}
			this.render();
		}
		deleteForward() {
			if (this.cursor * this.scale >= this.rendered.length || this.placeholder) return this.bell();
			let s1 = this.value.slice(0, this.cursor);
			let s2 = this.value.slice(this.cursor + 1);
			this.value = `${s1}${s2}`;
			this.red = false;
			if (this.isCursorAtEnd()) this.cursorOffset = 0;
			else this.cursorOffset++;
			this.render();
		}
		first() {
			this.cursor = 0;
			this.render();
		}
		last() {
			this.cursor = this.value.length;
			this.render();
		}
		left() {
			if (this.cursor <= 0 || this.placeholder) return this.bell();
			this.moveCursor(-1);
			this.render();
		}
		right() {
			if (this.cursor * this.scale >= this.rendered.length || this.placeholder) return this.bell();
			this.moveCursor(1);
			this.render();
		}
		isCursorAtStart() {
			return this.cursor === 0 || this.placeholder && this.cursor === 1;
		}
		isCursorAtEnd() {
			return this.cursor === this.rendered.length || this.placeholder && this.cursor === this.rendered.length + 1;
		}
		render() {
			if (this.closed) return;
			if (!this.firstRender) {
				if (this.outputError) this.out.write(cursor$8.down(lines$1(this.outputError, this.out.columns) - 1) + clear$8(this.outputError, this.out.columns));
				this.out.write(clear$8(this.outputText, this.out.columns));
			}
			super.render();
			this.outputError = "";
			this.outputText = [
				style$8.symbol(this.done, this.aborted),
				color$8.bold(this.msg),
				style$8.delimiter(this.done),
				this.red ? color$8.red(this.rendered) : this.rendered
			].join(` `);
			if (this.error) this.outputError += this.errorMsg.split(`\n`).reduce((a, l, i) => a + `\n${i ? " " : figures$6.pointerSmall} ${color$8.red().italic(l)}`, ``);
			this.out.write(erase$5.line + cursor$8.to(0) + this.outputText + cursor$8.save + this.outputError + cursor$8.restore + cursor$8.move(this.cursorOffset, 0));
		}
	};
	module.exports = TextPrompt;
} });

//#endregion
//#region node_modules/prompts/lib/elements/select.js
var require_select = __commonJS({ "node_modules/prompts/lib/elements/select.js"(exports, module) {
	const color$7 = require_kleur();
	const Prompt$6 = require_prompt();
	const { style: style$7, clear: clear$7, figures: figures$5, wrap: wrap$2, entriesToDisplay: entriesToDisplay$2 } = require_util();
	const { cursor: cursor$7 } = require_src();
	var SelectPrompt = class extends Prompt$6 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.hint = opts.hint || "- Use arrow-keys. Return to submit.";
			this.warn = opts.warn || "- This option is disabled";
			this.cursor = opts.initial || 0;
			this.choices = opts.choices.map((ch, idx) => {
				if (typeof ch === "string") ch = {
					title: ch,
					value: idx
				};
				return {
					title: ch && (ch.title || ch.value || ch),
					value: ch && (ch.value === void 0 ? idx : ch.value),
					description: ch && ch.description,
					selected: ch && ch.selected,
					disabled: ch && ch.disabled
				};
			});
			this.optionsPerPage = opts.optionsPerPage || 10;
			this.value = (this.choices[this.cursor] || {}).value;
			this.clear = clear$7("", this.out.columns);
			this.render();
		}
		moveCursor(n) {
			this.cursor = n;
			this.value = this.choices[n].value;
			this.fire();
		}
		reset() {
			this.moveCursor(0);
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			if (!this.selection.disabled) {
				this.done = true;
				this.aborted = false;
				this.fire();
				this.render();
				this.out.write("\n");
				this.close();
			} else this.bell();
		}
		first() {
			this.moveCursor(0);
			this.render();
		}
		last() {
			this.moveCursor(this.choices.length - 1);
			this.render();
		}
		up() {
			if (this.cursor === 0) this.moveCursor(this.choices.length - 1);
			else this.moveCursor(this.cursor - 1);
			this.render();
		}
		down() {
			if (this.cursor === this.choices.length - 1) this.moveCursor(0);
			else this.moveCursor(this.cursor + 1);
			this.render();
		}
		next() {
			this.moveCursor((this.cursor + 1) % this.choices.length);
			this.render();
		}
		_(c$2, key) {
			if (c$2 === " ") return this.submit();
		}
		get selection() {
			return this.choices[this.cursor];
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$7.hide);
			else this.out.write(clear$7(this.outputText, this.out.columns));
			super.render();
			let { startIndex, endIndex } = entriesToDisplay$2(this.cursor, this.choices.length, this.optionsPerPage);
			this.outputText = [
				style$7.symbol(this.done, this.aborted),
				color$7.bold(this.msg),
				style$7.delimiter(false),
				this.done ? this.selection.title : this.selection.disabled ? color$7.yellow(this.warn) : color$7.gray(this.hint)
			].join(" ");
			if (!this.done) {
				this.outputText += "\n";
				for (let i = startIndex; i < endIndex; i++) {
					let title, prefix, desc = "", v = this.choices[i];
					if (i === startIndex && startIndex > 0) prefix = figures$5.arrowUp;
					else if (i === endIndex - 1 && endIndex < this.choices.length) prefix = figures$5.arrowDown;
					else prefix = " ";
					if (v.disabled) {
						title = this.cursor === i ? color$7.gray().underline(v.title) : color$7.strikethrough().gray(v.title);
						prefix = (this.cursor === i ? color$7.bold().gray(figures$5.pointer) + " " : "  ") + prefix;
					} else {
						title = this.cursor === i ? color$7.cyan().underline(v.title) : v.title;
						prefix = (this.cursor === i ? color$7.cyan(figures$5.pointer) + " " : "  ") + prefix;
						if (v.description && this.cursor === i) {
							desc = ` - ${v.description}`;
							if (prefix.length + title.length + desc.length >= this.out.columns || v.description.split(/\r?\n/).length > 1) desc = "\n" + wrap$2(v.description, {
								margin: 3,
								width: this.out.columns
							});
						}
					}
					this.outputText += `${prefix} ${title}${color$7.gray(desc)}\n`;
				}
			}
			this.out.write(this.outputText);
		}
	};
	module.exports = SelectPrompt;
} });

//#endregion
//#region node_modules/prompts/lib/elements/toggle.js
var require_toggle = __commonJS({ "node_modules/prompts/lib/elements/toggle.js"(exports, module) {
	const color$6 = require_kleur();
	const Prompt$5 = require_prompt();
	const { style: style$6, clear: clear$6 } = require_util();
	const { cursor: cursor$6, erase: erase$4 } = require_src();
	var TogglePrompt = class extends Prompt$5 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.value = !!opts.initial;
			this.active = opts.active || "on";
			this.inactive = opts.inactive || "off";
			this.initialValue = this.value;
			this.render();
		}
		reset() {
			this.value = this.initialValue;
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			this.done = true;
			this.aborted = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		deactivate() {
			if (this.value === false) return this.bell();
			this.value = false;
			this.render();
		}
		activate() {
			if (this.value === true) return this.bell();
			this.value = true;
			this.render();
		}
		delete() {
			this.deactivate();
		}
		left() {
			this.deactivate();
		}
		right() {
			this.activate();
		}
		down() {
			this.deactivate();
		}
		up() {
			this.activate();
		}
		next() {
			this.value = !this.value;
			this.fire();
			this.render();
		}
		_(c$2, key) {
			if (c$2 === " ") this.value = !this.value;
			else if (c$2 === "1") this.value = true;
			else if (c$2 === "0") this.value = false;
			else return this.bell();
			this.render();
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$6.hide);
			else this.out.write(clear$6(this.outputText, this.out.columns));
			super.render();
			this.outputText = [
				style$6.symbol(this.done, this.aborted),
				color$6.bold(this.msg),
				style$6.delimiter(this.done),
				this.value ? this.inactive : color$6.cyan().underline(this.inactive),
				color$6.gray("/"),
				this.value ? color$6.cyan().underline(this.active) : this.active
			].join(" ");
			this.out.write(erase$4.line + cursor$6.to(0) + this.outputText);
		}
	};
	module.exports = TogglePrompt;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/datepart.js
var require_datepart = __commonJS({ "node_modules/prompts/lib/dateparts/datepart.js"(exports, module) {
	var DatePart$9 = class DatePart$9 {
		constructor({ token, date, parts, locales }) {
			this.token = token;
			this.date = date || new Date();
			this.parts = parts || [this];
			this.locales = locales || {};
		}
		up() {}
		down() {}
		next() {
			const currentIdx = this.parts.indexOf(this);
			return this.parts.find((part, idx) => idx > currentIdx && part instanceof DatePart$9);
		}
		setTo(val) {}
		prev() {
			let parts = [].concat(this.parts).reverse();
			const currentIdx = parts.indexOf(this);
			return parts.find((part, idx) => idx > currentIdx && part instanceof DatePart$9);
		}
		toString() {
			return String(this.date);
		}
	};
	module.exports = DatePart$9;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/meridiem.js
var require_meridiem = __commonJS({ "node_modules/prompts/lib/dateparts/meridiem.js"(exports, module) {
	const DatePart$8 = require_datepart();
	var Meridiem$1 = class extends DatePart$8 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setHours((this.date.getHours() + 12) % 24);
		}
		down() {
			this.up();
		}
		toString() {
			let meridiem = this.date.getHours() > 12 ? "pm" : "am";
			return /\A/.test(this.token) ? meridiem.toUpperCase() : meridiem;
		}
	};
	module.exports = Meridiem$1;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/day.js
var require_day = __commonJS({ "node_modules/prompts/lib/dateparts/day.js"(exports, module) {
	const DatePart$7 = require_datepart();
	const pos = (n) => {
		n = n % 10;
		return n === 1 ? "st" : n === 2 ? "nd" : n === 3 ? "rd" : "th";
	};
	var Day$1 = class extends DatePart$7 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setDate(this.date.getDate() + 1);
		}
		down() {
			this.date.setDate(this.date.getDate() - 1);
		}
		setTo(val) {
			this.date.setDate(parseInt(val.substr(-2)));
		}
		toString() {
			let date = this.date.getDate();
			let day = this.date.getDay();
			return this.token === "DD" ? String(date).padStart(2, "0") : this.token === "Do" ? date + pos(date) : this.token === "d" ? day + 1 : this.token === "ddd" ? this.locales.weekdaysShort[day] : this.token === "dddd" ? this.locales.weekdays[day] : date;
		}
	};
	module.exports = Day$1;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/hours.js
var require_hours = __commonJS({ "node_modules/prompts/lib/dateparts/hours.js"(exports, module) {
	const DatePart$6 = require_datepart();
	var Hours$1 = class extends DatePart$6 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setHours(this.date.getHours() + 1);
		}
		down() {
			this.date.setHours(this.date.getHours() - 1);
		}
		setTo(val) {
			this.date.setHours(parseInt(val.substr(-2)));
		}
		toString() {
			let hours = this.date.getHours();
			if (/h/.test(this.token)) hours = hours % 12 || 12;
			return this.token.length > 1 ? String(hours).padStart(2, "0") : hours;
		}
	};
	module.exports = Hours$1;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/milliseconds.js
var require_milliseconds = __commonJS({ "node_modules/prompts/lib/dateparts/milliseconds.js"(exports, module) {
	const DatePart$5 = require_datepart();
	var Milliseconds$1 = class extends DatePart$5 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setMilliseconds(this.date.getMilliseconds() + 1);
		}
		down() {
			this.date.setMilliseconds(this.date.getMilliseconds() - 1);
		}
		setTo(val) {
			this.date.setMilliseconds(parseInt(val.substr(-this.token.length)));
		}
		toString() {
			return String(this.date.getMilliseconds()).padStart(4, "0").substr(0, this.token.length);
		}
	};
	module.exports = Milliseconds$1;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/minutes.js
var require_minutes = __commonJS({ "node_modules/prompts/lib/dateparts/minutes.js"(exports, module) {
	const DatePart$4 = require_datepart();
	var Minutes$1 = class extends DatePart$4 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setMinutes(this.date.getMinutes() + 1);
		}
		down() {
			this.date.setMinutes(this.date.getMinutes() - 1);
		}
		setTo(val) {
			this.date.setMinutes(parseInt(val.substr(-2)));
		}
		toString() {
			let m = this.date.getMinutes();
			return this.token.length > 1 ? String(m).padStart(2, "0") : m;
		}
	};
	module.exports = Minutes$1;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/month.js
var require_month = __commonJS({ "node_modules/prompts/lib/dateparts/month.js"(exports, module) {
	const DatePart$3 = require_datepart();
	var Month$1 = class extends DatePart$3 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setMonth(this.date.getMonth() + 1);
		}
		down() {
			this.date.setMonth(this.date.getMonth() - 1);
		}
		setTo(val) {
			val = parseInt(val.substr(-2)) - 1;
			this.date.setMonth(val < 0 ? 0 : val);
		}
		toString() {
			let month = this.date.getMonth();
			let tl = this.token.length;
			return tl === 2 ? String(month + 1).padStart(2, "0") : tl === 3 ? this.locales.monthsShort[month] : tl === 4 ? this.locales.months[month] : String(month + 1);
		}
	};
	module.exports = Month$1;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/seconds.js
var require_seconds = __commonJS({ "node_modules/prompts/lib/dateparts/seconds.js"(exports, module) {
	const DatePart$2 = require_datepart();
	var Seconds$1 = class extends DatePart$2 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setSeconds(this.date.getSeconds() + 1);
		}
		down() {
			this.date.setSeconds(this.date.getSeconds() - 1);
		}
		setTo(val) {
			this.date.setSeconds(parseInt(val.substr(-2)));
		}
		toString() {
			let s = this.date.getSeconds();
			return this.token.length > 1 ? String(s).padStart(2, "0") : s;
		}
	};
	module.exports = Seconds$1;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/year.js
var require_year = __commonJS({ "node_modules/prompts/lib/dateparts/year.js"(exports, module) {
	const DatePart$1 = require_datepart();
	var Year$1 = class extends DatePart$1 {
		constructor(opts = {}) {
			super(opts);
		}
		up() {
			this.date.setFullYear(this.date.getFullYear() + 1);
		}
		down() {
			this.date.setFullYear(this.date.getFullYear() - 1);
		}
		setTo(val) {
			this.date.setFullYear(val.substr(-4));
		}
		toString() {
			let year = String(this.date.getFullYear()).padStart(4, "0");
			return this.token.length === 2 ? year.substr(-2) : year;
		}
	};
	module.exports = Year$1;
} });

//#endregion
//#region node_modules/prompts/lib/dateparts/index.js
var require_dateparts = __commonJS({ "node_modules/prompts/lib/dateparts/index.js"(exports, module) {
	module.exports = {
		DatePart: require_datepart(),
		Meridiem: require_meridiem(),
		Day: require_day(),
		Hours: require_hours(),
		Milliseconds: require_milliseconds(),
		Minutes: require_minutes(),
		Month: require_month(),
		Seconds: require_seconds(),
		Year: require_year()
	};
} });

//#endregion
//#region node_modules/prompts/lib/elements/date.js
var require_date = __commonJS({ "node_modules/prompts/lib/elements/date.js"(exports, module) {
	const color$5 = require_kleur();
	const Prompt$4 = require_prompt();
	const { style: style$5, clear: clear$5, figures: figures$4 } = require_util();
	const { erase: erase$3, cursor: cursor$5 } = require_src();
	const { DatePart, Meridiem, Day, Hours, Milliseconds, Minutes, Month, Seconds, Year } = require_dateparts();
	const regex = /\\(.)|"((?:\\["\\]|[^"])+)"|(D[Do]?|d{3,4}|d)|(M{1,4})|(YY(?:YY)?)|([aA])|([Hh]{1,2})|(m{1,2})|(s{1,2})|(S{1,4})|./g;
	const regexGroups = {
		1: ({ token }) => token.replace(/\\(.)/g, "$1"),
		2: (opts) => new Day(opts),
		3: (opts) => new Month(opts),
		4: (opts) => new Year(opts),
		5: (opts) => new Meridiem(opts),
		6: (opts) => new Hours(opts),
		7: (opts) => new Minutes(opts),
		8: (opts) => new Seconds(opts),
		9: (opts) => new Milliseconds(opts)
	};
	const dfltLocales = {
		months: "January,February,March,April,May,June,July,August,September,October,November,December".split(","),
		monthsShort: "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec".split(","),
		weekdays: "Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday".split(","),
		weekdaysShort: "Sun,Mon,Tue,Wed,Thu,Fri,Sat".split(",")
	};
	var DatePrompt = class extends Prompt$4 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.cursor = 0;
			this.typed = "";
			this.locales = Object.assign(dfltLocales, opts.locales);
			this._date = opts.initial || new Date();
			this.errorMsg = opts.error || "Please Enter A Valid Value";
			this.validator = opts.validate || (() => true);
			this.mask = opts.mask || "YYYY-MM-DD HH:mm:ss";
			this.clear = clear$5("", this.out.columns);
			this.render();
		}
		get value() {
			return this.date;
		}
		get date() {
			return this._date;
		}
		set date(date) {
			if (date) this._date.setTime(date.getTime());
		}
		set mask(mask) {
			let result;
			this.parts = [];
			while (result = regex.exec(mask)) {
				let match = result.shift();
				let idx = result.findIndex((gr) => gr != null);
				this.parts.push(idx in regexGroups ? regexGroups[idx]({
					token: result[idx] || match,
					date: this.date,
					parts: this.parts,
					locales: this.locales
				}) : result[idx] || match);
			}
			let parts = this.parts.reduce((arr, i) => {
				if (typeof i === "string" && typeof arr[arr.length - 1] === "string") arr[arr.length - 1] += i;
				else arr.push(i);
				return arr;
			}, []);
			this.parts.splice(0);
			this.parts.push(...parts);
			this.reset();
		}
		moveCursor(n) {
			this.typed = "";
			this.cursor = n;
			this.fire();
		}
		reset() {
			this.moveCursor(this.parts.findIndex((p) => p instanceof DatePart));
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.error = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		async validate() {
			let valid = await this.validator(this.value);
			if (typeof valid === "string") {
				this.errorMsg = valid;
				valid = false;
			}
			this.error = !valid;
		}
		async submit() {
			await this.validate();
			if (this.error) {
				this.color = "red";
				this.fire();
				this.render();
				return;
			}
			this.done = true;
			this.aborted = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		up() {
			this.typed = "";
			this.parts[this.cursor].up();
			this.render();
		}
		down() {
			this.typed = "";
			this.parts[this.cursor].down();
			this.render();
		}
		left() {
			let prev = this.parts[this.cursor].prev();
			if (prev == null) return this.bell();
			this.moveCursor(this.parts.indexOf(prev));
			this.render();
		}
		right() {
			let next = this.parts[this.cursor].next();
			if (next == null) return this.bell();
			this.moveCursor(this.parts.indexOf(next));
			this.render();
		}
		next() {
			let next = this.parts[this.cursor].next();
			this.moveCursor(next ? this.parts.indexOf(next) : this.parts.findIndex((part) => part instanceof DatePart));
			this.render();
		}
		_(c$2) {
			if (/\d/.test(c$2)) {
				this.typed += c$2;
				this.parts[this.cursor].setTo(this.typed);
				this.render();
			}
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$5.hide);
			else this.out.write(clear$5(this.outputText, this.out.columns));
			super.render();
			this.outputText = [
				style$5.symbol(this.done, this.aborted),
				color$5.bold(this.msg),
				style$5.delimiter(false),
				this.parts.reduce((arr, p, idx) => arr.concat(idx === this.cursor && !this.done ? color$5.cyan().underline(p.toString()) : p), []).join("")
			].join(" ");
			if (this.error) this.outputText += this.errorMsg.split("\n").reduce((a, l, i) => a + `\n${i ? ` ` : figures$4.pointerSmall} ${color$5.red().italic(l)}`, ``);
			this.out.write(erase$3.line + cursor$5.to(0) + this.outputText);
		}
	};
	module.exports = DatePrompt;
} });

//#endregion
//#region node_modules/prompts/lib/elements/number.js
var require_number = __commonJS({ "node_modules/prompts/lib/elements/number.js"(exports, module) {
	const color$4 = require_kleur();
	const Prompt$3 = require_prompt();
	const { cursor: cursor$4, erase: erase$2 } = require_src();
	const { style: style$4, figures: figures$3, clear: clear$4, lines } = require_util();
	const isNumber = /[0-9]/;
	const isDef = (any) => any !== void 0;
	const round = (number, precision) => {
		let factor = Math.pow(10, precision);
		return Math.round(number * factor) / factor;
	};
	var NumberPrompt = class extends Prompt$3 {
		constructor(opts = {}) {
			super(opts);
			this.transform = style$4.render(opts.style);
			this.msg = opts.message;
			this.initial = isDef(opts.initial) ? opts.initial : "";
			this.float = !!opts.float;
			this.round = opts.round || 2;
			this.inc = opts.increment || 1;
			this.min = isDef(opts.min) ? opts.min : -Infinity;
			this.max = isDef(opts.max) ? opts.max : Infinity;
			this.errorMsg = opts.error || `Please Enter A Valid Value`;
			this.validator = opts.validate || (() => true);
			this.color = `cyan`;
			this.value = ``;
			this.typed = ``;
			this.lastHit = 0;
			this.render();
		}
		set value(v) {
			if (!v && v !== 0) {
				this.placeholder = true;
				this.rendered = color$4.gray(this.transform.render(`${this.initial}`));
				this._value = ``;
			} else {
				this.placeholder = false;
				this.rendered = this.transform.render(`${round(v, this.round)}`);
				this._value = round(v, this.round);
			}
			this.fire();
		}
		get value() {
			return this._value;
		}
		parse(x) {
			return this.float ? parseFloat(x) : parseInt(x);
		}
		valid(c$2) {
			return c$2 === `-` || c$2 === `.` && this.float || isNumber.test(c$2);
		}
		reset() {
			this.typed = ``;
			this.value = ``;
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			let x = this.value;
			this.value = x !== `` ? x : this.initial;
			this.done = this.aborted = true;
			this.error = false;
			this.fire();
			this.render();
			this.out.write(`\n`);
			this.close();
		}
		async validate() {
			let valid = await this.validator(this.value);
			if (typeof valid === `string`) {
				this.errorMsg = valid;
				valid = false;
			}
			this.error = !valid;
		}
		async submit() {
			await this.validate();
			if (this.error) {
				this.color = `red`;
				this.fire();
				this.render();
				return;
			}
			let x = this.value;
			this.value = x !== `` ? x : this.initial;
			this.done = true;
			this.aborted = false;
			this.error = false;
			this.fire();
			this.render();
			this.out.write(`\n`);
			this.close();
		}
		up() {
			this.typed = ``;
			if (this.value === "") this.value = this.min - this.inc;
			if (this.value >= this.max) return this.bell();
			this.value += this.inc;
			this.color = `cyan`;
			this.fire();
			this.render();
		}
		down() {
			this.typed = ``;
			if (this.value === "") this.value = this.min + this.inc;
			if (this.value <= this.min) return this.bell();
			this.value -= this.inc;
			this.color = `cyan`;
			this.fire();
			this.render();
		}
		delete() {
			let val = this.value.toString();
			if (val.length === 0) return this.bell();
			this.value = this.parse(val = val.slice(0, -1)) || ``;
			if (this.value !== "" && this.value < this.min) this.value = this.min;
			this.color = `cyan`;
			this.fire();
			this.render();
		}
		next() {
			this.value = this.initial;
			this.fire();
			this.render();
		}
		_(c$2, key) {
			if (!this.valid(c$2)) return this.bell();
			const now = Date.now();
			if (now - this.lastHit > 1e3) this.typed = ``;
			this.typed += c$2;
			this.lastHit = now;
			this.color = `cyan`;
			if (c$2 === `.`) return this.fire();
			this.value = Math.min(this.parse(this.typed), this.max);
			if (this.value > this.max) this.value = this.max;
			if (this.value < this.min) this.value = this.min;
			this.fire();
			this.render();
		}
		render() {
			if (this.closed) return;
			if (!this.firstRender) {
				if (this.outputError) this.out.write(cursor$4.down(lines(this.outputError, this.out.columns) - 1) + clear$4(this.outputError, this.out.columns));
				this.out.write(clear$4(this.outputText, this.out.columns));
			}
			super.render();
			this.outputError = "";
			this.outputText = [
				style$4.symbol(this.done, this.aborted),
				color$4.bold(this.msg),
				style$4.delimiter(this.done),
				!this.done || !this.done && !this.placeholder ? color$4[this.color]().underline(this.rendered) : this.rendered
			].join(` `);
			if (this.error) this.outputError += this.errorMsg.split(`\n`).reduce((a, l, i) => a + `\n${i ? ` ` : figures$3.pointerSmall} ${color$4.red().italic(l)}`, ``);
			this.out.write(erase$2.line + cursor$4.to(0) + this.outputText + cursor$4.save + this.outputError + cursor$4.restore);
		}
	};
	module.exports = NumberPrompt;
} });

//#endregion
//#region node_modules/prompts/lib/elements/multiselect.js
var require_multiselect = __commonJS({ "node_modules/prompts/lib/elements/multiselect.js"(exports, module) {
	const color$3 = require_kleur();
	const { cursor: cursor$3 } = require_src();
	const Prompt$2 = require_prompt();
	const { clear: clear$3, figures: figures$2, style: style$3, wrap: wrap$1, entriesToDisplay: entriesToDisplay$1 } = require_util();
	var MultiselectPrompt$1 = class extends Prompt$2 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.cursor = opts.cursor || 0;
			this.scrollIndex = opts.cursor || 0;
			this.hint = opts.hint || "";
			this.warn = opts.warn || "- This option is disabled -";
			this.minSelected = opts.min;
			this.showMinError = false;
			this.maxChoices = opts.max;
			this.instructions = opts.instructions;
			this.optionsPerPage = opts.optionsPerPage || 10;
			this.value = opts.choices.map((ch, idx) => {
				if (typeof ch === "string") ch = {
					title: ch,
					value: idx
				};
				return {
					title: ch && (ch.title || ch.value || ch),
					description: ch && ch.description,
					value: ch && (ch.value === void 0 ? idx : ch.value),
					selected: ch && ch.selected,
					disabled: ch && ch.disabled
				};
			});
			this.clear = clear$3("", this.out.columns);
			if (!opts.overrideRender) this.render();
		}
		reset() {
			this.value.map((v) => !v.selected);
			this.cursor = 0;
			this.fire();
			this.render();
		}
		selected() {
			return this.value.filter((v) => v.selected);
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			const selected = this.value.filter((e) => e.selected);
			if (this.minSelected && selected.length < this.minSelected) {
				this.showMinError = true;
				this.render();
			} else {
				this.done = true;
				this.aborted = false;
				this.fire();
				this.render();
				this.out.write("\n");
				this.close();
			}
		}
		first() {
			this.cursor = 0;
			this.render();
		}
		last() {
			this.cursor = this.value.length - 1;
			this.render();
		}
		next() {
			this.cursor = (this.cursor + 1) % this.value.length;
			this.render();
		}
		up() {
			if (this.cursor === 0) this.cursor = this.value.length - 1;
			else this.cursor--;
			this.render();
		}
		down() {
			if (this.cursor === this.value.length - 1) this.cursor = 0;
			else this.cursor++;
			this.render();
		}
		left() {
			this.value[this.cursor].selected = false;
			this.render();
		}
		right() {
			if (this.value.filter((e) => e.selected).length >= this.maxChoices) return this.bell();
			this.value[this.cursor].selected = true;
			this.render();
		}
		handleSpaceToggle() {
			const v = this.value[this.cursor];
			if (v.selected) {
				v.selected = false;
				this.render();
			} else if (v.disabled || this.value.filter((e) => e.selected).length >= this.maxChoices) return this.bell();
			else {
				v.selected = true;
				this.render();
			}
		}
		toggleAll() {
			if (this.maxChoices !== void 0 || this.value[this.cursor].disabled) return this.bell();
			const newSelected = !this.value[this.cursor].selected;
			this.value.filter((v) => !v.disabled).forEach((v) => v.selected = newSelected);
			this.render();
		}
		_(c$2, key) {
			if (c$2 === " ") this.handleSpaceToggle();
			else if (c$2 === "a") this.toggleAll();
			else return this.bell();
		}
		renderInstructions() {
			if (this.instructions === void 0 || this.instructions) {
				if (typeof this.instructions === "string") return this.instructions;
				return `
Instructions:
    ${figures$2.arrowUp}/${figures$2.arrowDown}: Highlight option\n    ${figures$2.arrowLeft}/${figures$2.arrowRight}/[space]: Toggle selection\n` + (this.maxChoices === void 0 ? `    a: Toggle all\n` : "") + `    enter/return: Complete answer`;
			}
			return "";
		}
		renderOption(cursor$23, v, i, arrowIndicator) {
			const prefix = (v.selected ? color$3.green(figures$2.radioOn) : figures$2.radioOff) + " " + arrowIndicator + " ";
			let title, desc;
			if (v.disabled) title = cursor$23 === i ? color$3.gray().underline(v.title) : color$3.strikethrough().gray(v.title);
			else {
				title = cursor$23 === i ? color$3.cyan().underline(v.title) : v.title;
				if (cursor$23 === i && v.description) {
					desc = ` - ${v.description}`;
					if (prefix.length + title.length + desc.length >= this.out.columns || v.description.split(/\r?\n/).length > 1) desc = "\n" + wrap$1(v.description, {
						margin: prefix.length,
						width: this.out.columns
					});
				}
			}
			return prefix + title + color$3.gray(desc || "");
		}
		paginateOptions(options) {
			if (options.length === 0) return color$3.red("No matches for this query.");
			let { startIndex, endIndex } = entriesToDisplay$1(this.cursor, options.length, this.optionsPerPage);
			let prefix, styledOptions = [];
			for (let i = startIndex; i < endIndex; i++) {
				if (i === startIndex && startIndex > 0) prefix = figures$2.arrowUp;
				else if (i === endIndex - 1 && endIndex < options.length) prefix = figures$2.arrowDown;
				else prefix = " ";
				styledOptions.push(this.renderOption(this.cursor, options[i], i, prefix));
			}
			return "\n" + styledOptions.join("\n");
		}
		renderOptions(options) {
			if (!this.done) return this.paginateOptions(options);
			return "";
		}
		renderDoneOrInstructions() {
			if (this.done) return this.value.filter((e) => e.selected).map((v) => v.title).join(", ");
			const output = [color$3.gray(this.hint), this.renderInstructions()];
			if (this.value[this.cursor].disabled) output.push(color$3.yellow(this.warn));
			return output.join(" ");
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$3.hide);
			super.render();
			let prompt$2 = [
				style$3.symbol(this.done, this.aborted),
				color$3.bold(this.msg),
				style$3.delimiter(false),
				this.renderDoneOrInstructions()
			].join(" ");
			if (this.showMinError) {
				prompt$2 += color$3.red(`You must select a minimum of ${this.minSelected} choices.`);
				this.showMinError = false;
			}
			prompt$2 += this.renderOptions(this.value);
			this.out.write(this.clear + prompt$2);
			this.clear = clear$3(prompt$2, this.out.columns);
		}
	};
	module.exports = MultiselectPrompt$1;
} });

//#endregion
//#region node_modules/prompts/lib/elements/autocomplete.js
var require_autocomplete = __commonJS({ "node_modules/prompts/lib/elements/autocomplete.js"(exports, module) {
	const color$2 = require_kleur();
	const Prompt$1 = require_prompt();
	const { erase: erase$1, cursor: cursor$2 } = require_src();
	const { style: style$2, clear: clear$2, figures: figures$1, wrap, entriesToDisplay } = require_util();
	const getVal = (arr, i) => arr[i] && (arr[i].value || arr[i].title || arr[i]);
	const getTitle = (arr, i) => arr[i] && (arr[i].title || arr[i].value || arr[i]);
	const getIndex = (arr, valOrTitle) => {
		const index = arr.findIndex((el$2) => el$2.value === valOrTitle || el$2.title === valOrTitle);
		return index > -1 ? index : void 0;
	};
	var AutocompletePrompt = class extends Prompt$1 {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.suggest = opts.suggest;
			this.choices = opts.choices;
			this.initial = typeof opts.initial === "number" ? opts.initial : getIndex(opts.choices, opts.initial);
			this.select = this.initial || opts.cursor || 0;
			this.i18n = { noMatches: opts.noMatches || "no matches found" };
			this.fallback = opts.fallback || this.initial;
			this.clearFirst = opts.clearFirst || false;
			this.suggestions = [];
			this.input = "";
			this.limit = opts.limit || 10;
			this.cursor = 0;
			this.transform = style$2.render(opts.style);
			this.scale = this.transform.scale;
			this.render = this.render.bind(this);
			this.complete = this.complete.bind(this);
			this.clear = clear$2("", this.out.columns);
			this.complete(this.render);
			this.render();
		}
		set fallback(fb) {
			this._fb = Number.isSafeInteger(parseInt(fb)) ? parseInt(fb) : fb;
		}
		get fallback() {
			let choice;
			if (typeof this._fb === "number") choice = this.choices[this._fb];
			else if (typeof this._fb === "string") choice = { title: this._fb };
			return choice || this._fb || { title: this.i18n.noMatches };
		}
		moveSelect(i) {
			this.select = i;
			if (this.suggestions.length > 0) this.value = getVal(this.suggestions, i);
			else this.value = this.fallback.value;
			this.fire();
		}
		async complete(cb) {
			const p = this.completing = this.suggest(this.input, this.choices);
			const suggestions = await p;
			if (this.completing !== p) return;
			this.suggestions = suggestions.map((s, i, arr) => ({
				title: getTitle(arr, i),
				value: getVal(arr, i),
				description: s.description
			}));
			this.completing = false;
			const l = Math.max(suggestions.length - 1, 0);
			this.moveSelect(Math.min(l, this.select));
			cb && cb();
		}
		reset() {
			this.input = "";
			this.complete(() => {
				this.moveSelect(this.initial !== void 0 ? this.initial : 0);
				this.render();
			});
			this.render();
		}
		exit() {
			if (this.clearFirst && this.input.length > 0) this.reset();
			else {
				this.done = this.exited = true;
				this.aborted = false;
				this.fire();
				this.render();
				this.out.write("\n");
				this.close();
			}
		}
		abort() {
			this.done = this.aborted = true;
			this.exited = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			this.done = true;
			this.aborted = this.exited = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		_(c$2, key) {
			let s1 = this.input.slice(0, this.cursor);
			let s2 = this.input.slice(this.cursor);
			this.input = `${s1}${c$2}${s2}`;
			this.cursor = s1.length + 1;
			this.complete(this.render);
			this.render();
		}
		delete() {
			if (this.cursor === 0) return this.bell();
			let s1 = this.input.slice(0, this.cursor - 1);
			let s2 = this.input.slice(this.cursor);
			this.input = `${s1}${s2}`;
			this.complete(this.render);
			this.cursor = this.cursor - 1;
			this.render();
		}
		deleteForward() {
			if (this.cursor * this.scale >= this.rendered.length) return this.bell();
			let s1 = this.input.slice(0, this.cursor);
			let s2 = this.input.slice(this.cursor + 1);
			this.input = `${s1}${s2}`;
			this.complete(this.render);
			this.render();
		}
		first() {
			this.moveSelect(0);
			this.render();
		}
		last() {
			this.moveSelect(this.suggestions.length - 1);
			this.render();
		}
		up() {
			if (this.select === 0) this.moveSelect(this.suggestions.length - 1);
			else this.moveSelect(this.select - 1);
			this.render();
		}
		down() {
			if (this.select === this.suggestions.length - 1) this.moveSelect(0);
			else this.moveSelect(this.select + 1);
			this.render();
		}
		next() {
			if (this.select === this.suggestions.length - 1) this.moveSelect(0);
			else this.moveSelect(this.select + 1);
			this.render();
		}
		nextPage() {
			this.moveSelect(Math.min(this.select + this.limit, this.suggestions.length - 1));
			this.render();
		}
		prevPage() {
			this.moveSelect(Math.max(this.select - this.limit, 0));
			this.render();
		}
		left() {
			if (this.cursor <= 0) return this.bell();
			this.cursor = this.cursor - 1;
			this.render();
		}
		right() {
			if (this.cursor * this.scale >= this.rendered.length) return this.bell();
			this.cursor = this.cursor + 1;
			this.render();
		}
		renderOption(v, hovered, isStart, isEnd) {
			let desc;
			let prefix = isStart ? figures$1.arrowUp : isEnd ? figures$1.arrowDown : " ";
			let title = hovered ? color$2.cyan().underline(v.title) : v.title;
			prefix = (hovered ? color$2.cyan(figures$1.pointer) + " " : "  ") + prefix;
			if (v.description) {
				desc = ` - ${v.description}`;
				if (prefix.length + title.length + desc.length >= this.out.columns || v.description.split(/\r?\n/).length > 1) desc = "\n" + wrap(v.description, {
					margin: 3,
					width: this.out.columns
				});
			}
			return prefix + " " + title + color$2.gray(desc || "");
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$2.hide);
			else this.out.write(clear$2(this.outputText, this.out.columns));
			super.render();
			let { startIndex, endIndex } = entriesToDisplay(this.select, this.choices.length, this.limit);
			this.outputText = [
				style$2.symbol(this.done, this.aborted, this.exited),
				color$2.bold(this.msg),
				style$2.delimiter(this.completing),
				this.done && this.suggestions[this.select] ? this.suggestions[this.select].title : this.rendered = this.transform.render(this.input)
			].join(" ");
			if (!this.done) {
				const suggestions = this.suggestions.slice(startIndex, endIndex).map((item$2, i) => this.renderOption(item$2, this.select === i + startIndex, i === 0 && startIndex > 0, i + startIndex === endIndex - 1 && endIndex < this.choices.length)).join("\n");
				this.outputText += `\n` + (suggestions || color$2.gray(this.fallback.title));
			}
			this.out.write(erase$1.line + cursor$2.to(0) + this.outputText);
		}
	};
	module.exports = AutocompletePrompt;
} });

//#endregion
//#region node_modules/prompts/lib/elements/autocompleteMultiselect.js
var require_autocompleteMultiselect = __commonJS({ "node_modules/prompts/lib/elements/autocompleteMultiselect.js"(exports, module) {
	const color$1 = require_kleur();
	const { cursor: cursor$1 } = require_src();
	const MultiselectPrompt = require_multiselect();
	const { clear: clear$1, style: style$1, figures } = require_util();
	var AutocompleteMultiselectPrompt = class extends MultiselectPrompt {
		constructor(opts = {}) {
			opts.overrideRender = true;
			super(opts);
			this.inputValue = "";
			this.clear = clear$1("", this.out.columns);
			this.filteredOptions = this.value;
			this.render();
		}
		last() {
			this.cursor = this.filteredOptions.length - 1;
			this.render();
		}
		next() {
			this.cursor = (this.cursor + 1) % this.filteredOptions.length;
			this.render();
		}
		up() {
			if (this.cursor === 0) this.cursor = this.filteredOptions.length - 1;
			else this.cursor--;
			this.render();
		}
		down() {
			if (this.cursor === this.filteredOptions.length - 1) this.cursor = 0;
			else this.cursor++;
			this.render();
		}
		left() {
			this.filteredOptions[this.cursor].selected = false;
			this.render();
		}
		right() {
			if (this.value.filter((e) => e.selected).length >= this.maxChoices) return this.bell();
			this.filteredOptions[this.cursor].selected = true;
			this.render();
		}
		delete() {
			if (this.inputValue.length) {
				this.inputValue = this.inputValue.substr(0, this.inputValue.length - 1);
				this.updateFilteredOptions();
			}
		}
		updateFilteredOptions() {
			const currentHighlight = this.filteredOptions[this.cursor];
			this.filteredOptions = this.value.filter((v) => {
				if (this.inputValue) {
					if (typeof v.title === "string") {
						if (v.title.toLowerCase().includes(this.inputValue.toLowerCase())) return true;
					}
					if (typeof v.value === "string") {
						if (v.value.toLowerCase().includes(this.inputValue.toLowerCase())) return true;
					}
					return false;
				}
				return true;
			});
			const newHighlightIndex = this.filteredOptions.findIndex((v) => v === currentHighlight);
			this.cursor = newHighlightIndex < 0 ? 0 : newHighlightIndex;
			this.render();
		}
		handleSpaceToggle() {
			const v = this.filteredOptions[this.cursor];
			if (v.selected) {
				v.selected = false;
				this.render();
			} else if (v.disabled || this.value.filter((e) => e.selected).length >= this.maxChoices) return this.bell();
			else {
				v.selected = true;
				this.render();
			}
		}
		handleInputChange(c$2) {
			this.inputValue = this.inputValue + c$2;
			this.updateFilteredOptions();
		}
		_(c$2, key) {
			if (c$2 === " ") this.handleSpaceToggle();
			else this.handleInputChange(c$2);
		}
		renderInstructions() {
			if (this.instructions === void 0 || this.instructions) {
				if (typeof this.instructions === "string") return this.instructions;
				return `
Instructions:
    ${figures.arrowUp}/${figures.arrowDown}: Highlight option
    ${figures.arrowLeft}/${figures.arrowRight}/[space]: Toggle selection
    [a,b,c]/delete: Filter choices
    enter/return: Complete answer
`;
			}
			return "";
		}
		renderCurrentInput() {
			return `
Filtered results for: ${this.inputValue ? this.inputValue : color$1.gray("Enter something to filter")}\n`;
		}
		renderOption(cursor$23, v, i) {
			let title;
			if (v.disabled) title = cursor$23 === i ? color$1.gray().underline(v.title) : color$1.strikethrough().gray(v.title);
			else title = cursor$23 === i ? color$1.cyan().underline(v.title) : v.title;
			return (v.selected ? color$1.green(figures.radioOn) : figures.radioOff) + "  " + title;
		}
		renderDoneOrInstructions() {
			if (this.done) return this.value.filter((e) => e.selected).map((v) => v.title).join(", ");
			const output = [
				color$1.gray(this.hint),
				this.renderInstructions(),
				this.renderCurrentInput()
			];
			if (this.filteredOptions.length && this.filteredOptions[this.cursor].disabled) output.push(color$1.yellow(this.warn));
			return output.join(" ");
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor$1.hide);
			super.render();
			let prompt$2 = [
				style$1.symbol(this.done, this.aborted),
				color$1.bold(this.msg),
				style$1.delimiter(false),
				this.renderDoneOrInstructions()
			].join(" ");
			if (this.showMinError) {
				prompt$2 += color$1.red(`You must select a minimum of ${this.minSelected} choices.`);
				this.showMinError = false;
			}
			prompt$2 += this.renderOptions(this.filteredOptions);
			this.out.write(this.clear + prompt$2);
			this.clear = clear$1(prompt$2, this.out.columns);
		}
	};
	module.exports = AutocompleteMultiselectPrompt;
} });

//#endregion
//#region node_modules/prompts/lib/elements/confirm.js
var require_confirm = __commonJS({ "node_modules/prompts/lib/elements/confirm.js"(exports, module) {
	const color = require_kleur();
	const Prompt = require_prompt();
	const { style, clear } = require_util();
	const { erase, cursor } = require_src();
	var ConfirmPrompt = class extends Prompt {
		constructor(opts = {}) {
			super(opts);
			this.msg = opts.message;
			this.value = opts.initial;
			this.initialValue = !!opts.initial;
			this.yesMsg = opts.yes || "yes";
			this.yesOption = opts.yesOption || "(Y/n)";
			this.noMsg = opts.no || "no";
			this.noOption = opts.noOption || "(y/N)";
			this.render();
		}
		reset() {
			this.value = this.initialValue;
			this.fire();
			this.render();
		}
		exit() {
			this.abort();
		}
		abort() {
			this.done = this.aborted = true;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		submit() {
			this.value = this.value || false;
			this.done = true;
			this.aborted = false;
			this.fire();
			this.render();
			this.out.write("\n");
			this.close();
		}
		_(c$2, key) {
			if (c$2.toLowerCase() === "y") {
				this.value = true;
				return this.submit();
			}
			if (c$2.toLowerCase() === "n") {
				this.value = false;
				return this.submit();
			}
			return this.bell();
		}
		render() {
			if (this.closed) return;
			if (this.firstRender) this.out.write(cursor.hide);
			else this.out.write(clear(this.outputText, this.out.columns));
			super.render();
			this.outputText = [
				style.symbol(this.done, this.aborted),
				color.bold(this.msg),
				style.delimiter(this.done),
				this.done ? this.value ? this.yesMsg : this.noMsg : color.gray(this.initialValue ? this.yesOption : this.noOption)
			].join(" ");
			this.out.write(erase.line + cursor.to(0) + this.outputText);
		}
	};
	module.exports = ConfirmPrompt;
} });

//#endregion
//#region node_modules/prompts/lib/elements/index.js
var require_elements = __commonJS({ "node_modules/prompts/lib/elements/index.js"(exports, module) {
	module.exports = {
		TextPrompt: require_text(),
		SelectPrompt: require_select(),
		TogglePrompt: require_toggle(),
		DatePrompt: require_date(),
		NumberPrompt: require_number(),
		MultiselectPrompt: require_multiselect(),
		AutocompletePrompt: require_autocomplete(),
		AutocompleteMultiselectPrompt: require_autocompleteMultiselect(),
		ConfirmPrompt: require_confirm()
	};
} });

//#endregion
//#region node_modules/prompts/lib/prompts.js
var require_prompts$1 = __commonJS({ "node_modules/prompts/lib/prompts.js"(exports) {
	const $ = exports;
	const el = require_elements();
	const noop$1 = (v) => v;
	function toPrompt(type, args, opts = {}) {
		return new Promise((res, rej) => {
			const p = new el[type](args);
			const onAbort = opts.onAbort || noop$1;
			const onSubmit = opts.onSubmit || noop$1;
			const onExit = opts.onExit || noop$1;
			p.on("state", args.onState || noop$1);
			p.on("submit", (x) => res(onSubmit(x)));
			p.on("exit", (x) => res(onExit(x)));
			p.on("abort", (x) => rej(onAbort(x)));
		});
	}
	/**
	* Text prompt
	* @param {string} args.message Prompt message to display
	* @param {string} [args.initial] Default string value
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {function} [args.onState] On state change callback
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.text = (args) => toPrompt("TextPrompt", args);
	/**
	* Password prompt with masked input
	* @param {string} args.message Prompt message to display
	* @param {string} [args.initial] Default string value
	* @param {function} [args.onState] On state change callback
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.password = (args) => {
		args.style = "password";
		return $.text(args);
	};
	/**
	* Prompt where input is invisible, like sudo
	* @param {string} args.message Prompt message to display
	* @param {string} [args.initial] Default string value
	* @param {function} [args.onState] On state change callback
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.invisible = (args) => {
		args.style = "invisible";
		return $.text(args);
	};
	/**
	* Number prompt
	* @param {string} args.message Prompt message to display
	* @param {number} args.initial Default number value
	* @param {function} [args.onState] On state change callback
	* @param {number} [args.max] Max value
	* @param {number} [args.min] Min value
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {Boolean} [opts.float=false] Parse input as floats
	* @param {Number} [opts.round=2] Round floats to x decimals
	* @param {Number} [opts.increment=1] Number to increment by when using arrow-keys
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.number = (args) => toPrompt("NumberPrompt", args);
	/**
	* Date prompt
	* @param {string} args.message Prompt message to display
	* @param {number} args.initial Default number value
	* @param {function} [args.onState] On state change callback
	* @param {number} [args.max] Max value
	* @param {number} [args.min] Min value
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {Boolean} [opts.float=false] Parse input as floats
	* @param {Number} [opts.round=2] Round floats to x decimals
	* @param {Number} [opts.increment=1] Number to increment by when using arrow-keys
	* @param {function} [args.validate] Function to validate user input
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.date = (args) => toPrompt("DatePrompt", args);
	/**
	* Classic yes/no prompt
	* @param {string} args.message Prompt message to display
	* @param {boolean} [args.initial=false] Default value
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.confirm = (args) => toPrompt("ConfirmPrompt", args);
	/**
	* List prompt, split intput string by `seperator`
	* @param {string} args.message Prompt message to display
	* @param {string} [args.initial] Default string value
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {string} [args.separator] String separator
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input, in form of an `Array`
	*/
	$.list = (args) => {
		const sep = args.separator || ",";
		return toPrompt("TextPrompt", args, { onSubmit: (str) => str.split(sep).map((s) => s.trim()) });
	};
	/**
	* Toggle/switch prompt
	* @param {string} args.message Prompt message to display
	* @param {boolean} [args.initial=false] Default value
	* @param {string} [args.active="on"] Text for `active` state
	* @param {string} [args.inactive="off"] Text for `inactive` state
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.toggle = (args) => toPrompt("TogglePrompt", args);
	/**
	* Interactive select prompt
	* @param {string} args.message Prompt message to display
	* @param {Array} args.choices Array of choices objects `[{ title, value }, ...]`
	* @param {number} [args.initial] Index of default value
	* @param {String} [args.hint] Hint to display
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.select = (args) => toPrompt("SelectPrompt", args);
	/**
	* Interactive multi-select / autocompleteMultiselect prompt
	* @param {string} args.message Prompt message to display
	* @param {Array} args.choices Array of choices objects `[{ title, value, [selected] }, ...]`
	* @param {number} [args.max] Max select
	* @param {string} [args.hint] Hint to display user
	* @param {Number} [args.cursor=0] Cursor start position
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.multiselect = (args) => {
		args.choices = [].concat(args.choices || []);
		const toSelected = (items) => items.filter((item$2) => item$2.selected).map((item$2) => item$2.value);
		return toPrompt("MultiselectPrompt", args, {
			onAbort: toSelected,
			onSubmit: toSelected
		});
	};
	$.autocompleteMultiselect = (args) => {
		args.choices = [].concat(args.choices || []);
		const toSelected = (items) => items.filter((item$2) => item$2.selected).map((item$2) => item$2.value);
		return toPrompt("AutocompleteMultiselectPrompt", args, {
			onAbort: toSelected,
			onSubmit: toSelected
		});
	};
	const byTitle = (input, choices) => Promise.resolve(choices.filter((item$2) => item$2.title.slice(0, input.length).toLowerCase() === input.toLowerCase()));
	/**
	* Interactive auto-complete prompt
	* @param {string} args.message Prompt message to display
	* @param {Array} args.choices Array of auto-complete choices objects `[{ title, value }, ...]`
	* @param {Function} [args.suggest] Function to filter results based on user input. Defaults to sort by `title`
	* @param {number} [args.limit=10] Max number of results to show
	* @param {string} [args.style="default"] Render style ('default', 'password', 'invisible')
	* @param {String} [args.initial] Index of the default value
	* @param {boolean} [opts.clearFirst] The first ESCAPE keypress will clear the input
	* @param {String} [args.fallback] Fallback message - defaults to initial value
	* @param {function} [args.onState] On state change callback
	* @param {Stream} [args.stdin] The Readable stream to listen to
	* @param {Stream} [args.stdout] The Writable stream to write readline data to
	* @returns {Promise} Promise with user input
	*/
	$.autocomplete = (args) => {
		args.suggest = args.suggest || byTitle;
		args.choices = [].concat(args.choices || []);
		return toPrompt("AutocompletePrompt", args);
	};
} });

//#endregion
//#region node_modules/prompts/lib/index.js
var require_lib = __commonJS({ "node_modules/prompts/lib/index.js"(exports, module) {
	const prompts = require_prompts$1();
	const passOn = [
		"suggest",
		"format",
		"onState",
		"validate",
		"onRender",
		"type"
	];
	const noop = () => {};
	/**
	* Prompt for a series of questions
	* @param {Array|Object} questions Single question object or Array of question objects
	* @param {Function} [onSubmit] Callback function called on prompt submit
	* @param {Function} [onCancel] Callback function called on cancel/abort
	* @returns {Object} Object with values from user input
	*/
	async function prompt(questions$1 = [], { onSubmit = noop, onCancel = noop } = {}) {
		const answers = {};
		const override$2 = prompt._override || {};
		questions$1 = [].concat(questions$1);
		let answer, question, quit, name, type, lastPrompt;
		const getFormattedAnswer = async (question$1, answer$1, skipValidation = false) => {
			if (!skipValidation && question$1.validate && question$1.validate(answer$1) !== true) return;
			return question$1.format ? await question$1.format(answer$1, answers) : answer$1;
		};
		for (question of questions$1) {
			({name, type} = question);
			if (typeof type === "function") {
				type = await type(answer, { ...answers }, question);
				question["type"] = type;
			}
			if (!type) continue;
			for (let key in question) {
				if (passOn.includes(key)) continue;
				let value = question[key];
				question[key] = typeof value === "function" ? await value(answer, { ...answers }, lastPrompt) : value;
			}
			lastPrompt = question;
			if (typeof question.message !== "string") throw new Error("prompt message is required");
			({name, type} = question);
			if (prompts[type] === void 0) throw new Error(`prompt type (${type}) is not defined`);
			if (override$2[question.name] !== void 0) {
				answer = await getFormattedAnswer(question, override$2[question.name]);
				if (answer !== void 0) {
					answers[name] = answer;
					continue;
				}
			}
			try {
				answer = prompt._injected ? getInjectedAnswer(prompt._injected, question.initial) : await prompts[type](question);
				answers[name] = answer = await getFormattedAnswer(question, answer, true);
				quit = await onSubmit(question, answer, answers);
			} catch (err) {
				quit = !await onCancel(question, answers);
			}
			if (quit) return answers;
		}
		return answers;
	}
	function getInjectedAnswer(injected, deafultValue) {
		const answer = injected.shift();
		if (answer instanceof Error) throw answer;
		return answer === void 0 ? deafultValue : answer;
	}
	function inject(answers) {
		prompt._injected = (prompt._injected || []).concat(answers);
	}
	function override(answers) {
		prompt._override = Object.assign({}, answers);
	}
	module.exports = Object.assign(prompt, {
		prompt,
		prompts,
		inject,
		override
	});
} });

//#endregion
//#region node_modules/prompts/index.js
var require_prompts = __commonJS({ "node_modules/prompts/index.js"(exports, module) {
	function isNodeLT(tar) {
		tar = (Array.isArray(tar) ? tar : tar.split(".")).map(Number);
		let i = 0, src = process.versions.node.split(".").map(Number);
		for (; i < tar.length; i++) {
			if (src[i] > tar[i]) return false;
			if (tar[i] > src[i]) return true;
		}
		return false;
	}
	module.exports = isNodeLT("8.6.0") ? require_dist() : require_lib();
} });
var import_prompts = __toESM(require_prompts(), 1);

//#endregion
//#region node_modules/ramda/es/internal/_isPlaceholder.js
function _isPlaceholder(a) {
	return a != null && typeof a === "object" && a["@@functional/placeholder"] === true;
}

//#endregion
//#region node_modules/ramda/es/internal/_curry1.js
function _curry1(fn) {
	return function f1(a) {
		if (arguments.length === 0 || _isPlaceholder(a)) return f1;
		else return fn.apply(this, arguments);
	};
}

//#endregion
//#region node_modules/ramda/es/internal/_curry2.js
function _curry2(fn) {
	return function f2(a, b) {
		switch (arguments.length) {
			case 0: return f2;
			case 1: return _isPlaceholder(a) ? f2 : _curry1(function(_b) {
				return fn(a, _b);
			});
			default: return _isPlaceholder(a) && _isPlaceholder(b) ? f2 : _isPlaceholder(a) ? _curry1(function(_a) {
				return fn(_a, b);
			}) : _isPlaceholder(b) ? _curry1(function(_b) {
				return fn(a, _b);
			}) : fn(a, b);
		}
	};
}

//#endregion
//#region node_modules/ramda/es/internal/_arity.js
function _arity(n, fn) {
	switch (n) {
		case 0: return function() {
			return fn.apply(this, arguments);
		};
		case 1: return function(a0) {
			return fn.apply(this, arguments);
		};
		case 2: return function(a0, a1) {
			return fn.apply(this, arguments);
		};
		case 3: return function(a0, a1, a2) {
			return fn.apply(this, arguments);
		};
		case 4: return function(a0, a1, a2, a3) {
			return fn.apply(this, arguments);
		};
		case 5: return function(a0, a1, a2, a3, a4) {
			return fn.apply(this, arguments);
		};
		case 6: return function(a0, a1, a2, a3, a4, a5) {
			return fn.apply(this, arguments);
		};
		case 7: return function(a0, a1, a2, a3, a4, a5, a6) {
			return fn.apply(this, arguments);
		};
		case 8: return function(a0, a1, a2, a3, a4, a5, a6, a7) {
			return fn.apply(this, arguments);
		};
		case 9: return function(a0, a1, a2, a3, a4, a5, a6, a7, a8) {
			return fn.apply(this, arguments);
		};
		case 10: return function(a0, a1, a2, a3, a4, a5, a6, a7, a8, a9) {
			return fn.apply(this, arguments);
		};
		default: throw new Error("First argument to _arity must be a non-negative integer no greater than ten");
	}
}

//#endregion
//#region node_modules/ramda/es/internal/_curry3.js
function _curry3(fn) {
	return function f3(a, b, c$2) {
		switch (arguments.length) {
			case 0: return f3;
			case 1: return _isPlaceholder(a) ? f3 : _curry2(function(_b, _c) {
				return fn(a, _b, _c);
			});
			case 2: return _isPlaceholder(a) && _isPlaceholder(b) ? f3 : _isPlaceholder(a) ? _curry2(function(_a, _c) {
				return fn(_a, b, _c);
			}) : _isPlaceholder(b) ? _curry2(function(_b, _c) {
				return fn(a, _b, _c);
			}) : _curry1(function(_c) {
				return fn(a, b, _c);
			});
			default: return _isPlaceholder(a) && _isPlaceholder(b) && _isPlaceholder(c$2) ? f3 : _isPlaceholder(a) && _isPlaceholder(b) ? _curry2(function(_a, _b) {
				return fn(_a, _b, c$2);
			}) : _isPlaceholder(a) && _isPlaceholder(c$2) ? _curry2(function(_a, _c) {
				return fn(_a, b, _c);
			}) : _isPlaceholder(b) && _isPlaceholder(c$2) ? _curry2(function(_b, _c) {
				return fn(a, _b, _c);
			}) : _isPlaceholder(a) ? _curry1(function(_a) {
				return fn(_a, b, c$2);
			}) : _isPlaceholder(b) ? _curry1(function(_b) {
				return fn(a, _b, c$2);
			}) : _isPlaceholder(c$2) ? _curry1(function(_c) {
				return fn(a, b, _c);
			}) : fn(a, b, c$2);
		}
	};
}

//#endregion
//#region node_modules/ramda/es/internal/_isArray.js
var _isArray_default = Array.isArray || function _isArray(val) {
	return val != null && val.length >= 0 && Object.prototype.toString.call(val) === "[object Array]";
};

//#endregion
//#region node_modules/ramda/es/internal/_isString.js
function _isString(x) {
	return Object.prototype.toString.call(x) === "[object String]";
}

//#endregion
//#region node_modules/ramda/es/internal/_isArrayLike.js
/**
* Tests whether or not an object is similar to an array.
*
* @private
* @category Type
* @category List
* @sig * -> Boolean
* @param {*} x The object to test.
* @return {Boolean} `true` if `x` has a numeric length property and extreme indices defined; `false` otherwise.
* @example
*
*      _isArrayLike([]); //=> true
*      _isArrayLike(true); //=> false
*      _isArrayLike({}); //=> false
*      _isArrayLike({length: 10}); //=> false
*      _isArrayLike({0: 'zero', 9: 'nine', length: 10}); //=> true
*      _isArrayLike({nodeType: 1, length: 1}) // => false
*/
var _isArrayLike = /* @__PURE__ */ _curry1(function isArrayLike(x) {
	if (_isArray_default(x)) return true;
	if (!x) return false;
	if (typeof x !== "object") return false;
	if (_isString(x)) return false;
	if (x.length === 0) return true;
	if (x.length > 0) return x.hasOwnProperty(0) && x.hasOwnProperty(x.length - 1);
	return false;
});
var _isArrayLike_default = _isArrayLike;

//#endregion
//#region node_modules/ramda/es/internal/_createReduce.js
var symIterator = typeof Symbol !== "undefined" ? Symbol.iterator : "@@iterator";
function _createReduce(arrayReduce, methodReduce, iterableReduce) {
	return function _reduce(xf, acc, list) {
		if (_isArrayLike_default(list)) return arrayReduce(xf, acc, list);
		if (list == null) return acc;
		if (typeof list["fantasy-land/reduce"] === "function") return methodReduce(xf, acc, list, "fantasy-land/reduce");
		if (list[symIterator] != null) return iterableReduce(xf, acc, list[symIterator]());
		if (typeof list.next === "function") return iterableReduce(xf, acc, list);
		if (typeof list.reduce === "function") return methodReduce(xf, acc, list, "reduce");
		throw new TypeError("reduce: list must be array or iterable");
	};
}

//#endregion
//#region node_modules/ramda/es/internal/_xArrayReduce.js
function _xArrayReduce(xf, acc, list) {
	var idx = 0;
	var len = list.length;
	while (idx < len) {
		acc = xf["@@transducer/step"](acc, list[idx]);
		if (acc && acc["@@transducer/reduced"]) {
			acc = acc["@@transducer/value"];
			break;
		}
		idx += 1;
	}
	return xf["@@transducer/result"](acc);
}

//#endregion
//#region node_modules/ramda/es/bind.js
/**
* Creates a function that is bound to a context.
* Note: `R.bind` does not provide the additional argument-binding capabilities of
* [Function.prototype.bind](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Function/bind).
*
* @func
* @memberOf R
* @since v0.6.0
* @category Function
* @category Object
* @sig (* -> *) -> {*} -> (* -> *)
* @param {Function} fn The function to bind to context
* @param {Object} thisObj The context to bind `fn` to
* @return {Function} A function that will execute in the context of `thisObj`.
* @see R.partial
* @example
*
*      const log = R.bind(console.log, console);
*      R.pipe(R.assoc('a', 2), R.tap(log), R.assoc('a', 3))({a: 1}); //=> {a: 3}
*      // logs {a: 2}
* @symb R.bind(f, o)(a, b) = f.call(o, a, b)
*/
var bind = /* @__PURE__ */ _curry2(function bind$1(fn, thisObj) {
	return _arity(fn.length, function() {
		return fn.apply(thisObj, arguments);
	});
});
var bind_default = bind;

//#endregion
//#region node_modules/ramda/es/internal/_xReduce.js
function _xIterableReduce(xf, acc, iter) {
	var step = iter.next();
	while (!step.done) {
		acc = xf["@@transducer/step"](acc, step.value);
		if (acc && acc["@@transducer/reduced"]) {
			acc = acc["@@transducer/value"];
			break;
		}
		step = iter.next();
	}
	return xf["@@transducer/result"](acc);
}
function _xMethodReduce(xf, acc, obj, methodName) {
	return xf["@@transducer/result"](obj[methodName](bind_default(xf["@@transducer/step"], xf), acc));
}
var _xReduce = /* @__PURE__ */ _createReduce(_xArrayReduce, _xMethodReduce, _xIterableReduce);
var _xReduce_default = _xReduce;

//#endregion
//#region node_modules/ramda/es/internal/_xwrap.js
var XWrap = /* @__PURE__ */ function() {
	function XWrap$1(fn) {
		this.f = fn;
	}
	XWrap$1.prototype["@@transducer/init"] = function() {
		throw new Error("init not implemented on XWrap");
	};
	XWrap$1.prototype["@@transducer/result"] = function(acc) {
		return acc;
	};
	XWrap$1.prototype["@@transducer/step"] = function(acc, x) {
		return this.f(acc, x);
	};
	return XWrap$1;
}();
function _xwrap(fn) {
	return new XWrap(fn);
}

//#endregion
//#region node_modules/ramda/es/reduce.js
/**
* Returns a single item by iterating through the list, successively calling
* the iterator function and passing it an accumulator value and the current
* value from the array, and then passing the result to the next call.
*
* The iterator function receives two values: *(acc, value)*. It may use
* [`R.reduced`](#reduced) to shortcut the iteration.
*
* The arguments' order of [`reduceRight`](#reduceRight)'s iterator function
* is *(value, acc)*.
*
* Note: `R.reduce` does not skip deleted or unassigned indices (sparse
* arrays), unlike the native `Array.prototype.reduce` method. For more details
* on this behavior, see:
* https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/reduce#Description
*
* Be cautious of mutating and returning the accumulator. If you reuse it across
* invocations, it will continue to accumulate onto the same value. The general
* recommendation is to always return a new value. If you can't do so for
* performance reasons, then be sure to reinitialize the accumulator on each
* invocation.
*
* Dispatches to the `reduce` method of the third argument, if present. When
* doing so, it is up to the user to handle the [`R.reduced`](#reduced)
* shortcuting, as this is not implemented by `reduce`.
*
* @func
* @memberOf R
* @since v0.1.0
* @category List
* @sig ((a, b) -> a) -> a -> [b] -> a
* @param {Function} fn The iterator function. Receives two values, the accumulator and the
*        current element from the array.
* @param {*} acc The accumulator value.
* @param {Array} list The list to iterate over.
* @return {*} The final, accumulated value.
* @see R.reduced, R.addIndex, R.reduceRight
* @example
*
*      R.reduce(R.subtract, 0, [1, 2, 3, 4]) // => ((((0 - 1) - 2) - 3) - 4) = -10
*      //          -               -10
*      //         / \              / \
*      //        -   4           -6   4
*      //       / \              / \
*      //      -   3   ==>     -3   3
*      //     / \              / \
*      //    -   2           -1   2
*      //   / \              / \
*      //  0   1            0   1
*
* @symb R.reduce(f, a, [b, c, d]) = f(f(f(a, b), c), d)
*/
var reduce = /* @__PURE__ */ _curry3(function(xf, acc, list) {
	return _xReduce_default(typeof xf === "function" ? _xwrap(xf) : xf, acc, list);
});
var reduce_default = reduce;

//#endregion
//#region node_modules/ramda/es/internal/_pipe.js
function _pipe(f, g) {
	return function() {
		return g.call(this, f.apply(this, arguments));
	};
}

//#endregion
//#region node_modules/ramda/es/internal/_checkForMethod.js
function _checkForMethod(methodname, fn) {
	return function() {
		var length = arguments.length;
		if (length === 0) return fn();
		var obj = arguments[length - 1];
		return _isArray_default(obj) || typeof obj[methodname] !== "function" ? fn.apply(this, arguments) : obj[methodname].apply(obj, Array.prototype.slice.call(arguments, 0, length - 1));
	};
}

//#endregion
//#region node_modules/ramda/es/slice.js
/**
* Returns the elements of the given list or string (or object with a `slice`
* method) from `fromIndex` (inclusive) to `toIndex` (exclusive).
*
* Dispatches to the `slice` method of the third argument, if present.
*
* @func
* @memberOf R
* @since v0.1.4
* @category List
* @sig Number -> Number -> [a] -> [a]
* @sig Number -> Number -> String -> String
* @param {Number} fromIndex The start index (inclusive).
* @param {Number} toIndex The end index (exclusive).
* @param {*} list
* @return {*}
* @example
*
*      R.slice(1, 3, ['a', 'b', 'c', 'd']);        //=> ['b', 'c']
*      R.slice(1, Infinity, ['a', 'b', 'c', 'd']); //=> ['b', 'c', 'd']
*      R.slice(0, -1, ['a', 'b', 'c', 'd']);       //=> ['a', 'b', 'c']
*      R.slice(-3, -1, ['a', 'b', 'c', 'd']);      //=> ['b', 'c']
*      R.slice(0, 3, 'ramda');                     //=> 'ram'
*/
var slice = /* @__PURE__ */ _curry3(/* @__PURE__ */ _checkForMethod("slice", function slice$1(fromIndex, toIndex, list) {
	return Array.prototype.slice.call(list, fromIndex, toIndex);
}));
var slice_default = slice;

//#endregion
//#region node_modules/ramda/es/tail.js
/**
* Returns all but the first element of the given list or string (or object
* with a `tail` method).
*
* Dispatches to the `slice` method of the first argument, if present.
*
* @func
* @memberOf R
* @since v0.1.0
* @category List
* @sig [a] -> [a]
* @sig String -> String
* @param {*} list
* @return {*}
* @see R.head, R.init, R.last
* @example
*
*      R.tail([1, 2, 3]);  //=> [2, 3]
*      R.tail([1, 2]);     //=> [2]
*      R.tail([1]);        //=> []
*      R.tail([]);         //=> []
*
*      R.tail('abc');  //=> 'bc'
*      R.tail('ab');   //=> 'b'
*      R.tail('a');    //=> ''
*      R.tail('');     //=> ''
*/
var tail = /* @__PURE__ */ _curry1(/* @__PURE__ */ _checkForMethod("tail", /* @__PURE__ */ slice_default(1, Infinity)));
var tail_default = tail;

//#endregion
//#region node_modules/ramda/es/pipe.js
function pipe() {
	if (arguments.length === 0) throw new Error("pipe requires at least one argument");
	return _arity(arguments[0].length, reduce_default(_pipe, arguments[0], tail_default(arguments)));
}

//#endregion
//#region node_modules/ramda/es/replace.js
/**
* Replace a substring or regex match in a string with a replacement.
*
* The first two parameters correspond to the parameters of the
* `String.prototype.replace()` function, so the second parameter can also be a
* function.
*
* @func
* @memberOf R
* @since v0.7.0
* @category String
* @sig RegExp|String -> String -> String -> String
* @param {RegExp|String} pattern A regular expression or a substring to match.
* @param {String} replacement The string to replace the matches with.
* @param {String} str The String to do the search and replacement in.
* @return {String} The result.
* @example
*
*      R.replace('foo', 'bar', 'foo foo foo'); //=> 'bar foo foo'
*      R.replace(/foo/, 'bar', 'foo foo foo'); //=> 'bar foo foo'
*
*      // Use the "g" (global) flag to replace all occurrences:
*      R.replace(/foo/g, 'bar', 'foo foo foo'); //=> 'bar bar bar'
*/
var replace = /* @__PURE__ */ _curry3(function replace$1(regex$2, replacement, str) {
	return str.replace(regex$2, replacement);
});
var replace_default = replace;

//#endregion
//#region src/index.ts
const Regexp = {
	ASCII: /^[ -~]+$/,
	WhiteSpace: /\s/,
	WindowsInvalid: /[\\/:*?"<>|]/,
	Semver: /^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$/
};
const thisPath = path.join(path.dirname(fileURLToPath(import.meta.url)), "..");
const questions = [
	{
		type: "select",
		name: "type",
		message: "选择项目类型",
		choices: [{
			title: "主题",
			value: "theme"
		}],
		hint: "- 上下选择，回车选定"
	},
	{
		type: "text",
		name: "name",
		message: "项目名称",
		initial: "doing-theme",
		validate: (value) => {
			if (value.trim() == "") return "请不要空白名称";
			if (Regexp.WhiteSpace.test(value)) return "名称中请不要包含空格";
			if (Regexp.WindowsInvalid.test(value)) return "名称中请不要包含^\\/:*?\"<>|";
			return true;
		}
	},
	{
		type: "confirm",
		name: "ts",
		message: "是否使用TypeScript (当前暂不支持TS, 请默认该项)",
		initial: false
	},
	{
		type: "multiselect",
		name: "features",
		message: "选择要支持的特性",
		choices: [{
			title: "暗黑模式",
			value: "darkMode"
		}, {
			title: "跟随专注颜色",
			value: "followActionColor"
		}],
		min: 0,
		hint: "- 空格切换选定，回车确认",
		instructions: false
	}
];
(async () => {
	console.log("欢迎来到 Create Doing");
	const result = await (0, import_prompts.default)(questions);
	const options = result;
	let answer = true;
	try {
		await fs.access(path.join(cwd(), options.name));
		answer = (await (0, import_prompts.default)({
			type: "confirm",
			name: "override",
			message: "目标文件夹已存在,是否覆盖?",
			initial: false
		})).override;
	} catch (_) {}
	if (answer) initCommonProject(options);
})();
async function initCommonProject(options) {
	const structure = JSON.parse(await fs.readFile("./templates/structure.json", "utf-8"));
	const commonStructure = structure.common;
	const from = replace_default("$this", thisPath);
	const to = replace_default("$for", path.join(cwd(), options.name));
	const uuid = crypto.randomUUID();
	const process$1 = pipe(replace_default("{<name>}", options.name), replace_default("{<features>}", options.features.map((f) => `"${f}"`).join(",")), replace_default("{<uuid>}", uuid));
	let promises = [];
	for (const key in commonStructure) {
		const promise = new Promise(async (resolve, reject) => {
			const [f, t] = [from(commonStructure[key]), to(key)];
			const file = await fs.readFile(f, "utf-8");
			const content = process$1(file);
			await initFile(path.dirname(t));
			await fs.writeFile(t, content, "utf-8");
			resolve();
		});
		promises.push(promise);
	}
	await Promise.all(promises);
}
async function initFile(filename) {
	try {
		try {
			await fs.access(filename, fs.constants.W_OK);
		} catch (_) {
			await fs.mkdir(filename, { recursive: true });
		}
	} catch (_) {}
}

//#endregion